Index: trunk/makefile
===================================================================
--- trunk/makefile	(revision 31)
+++ trunk/makefile	(revision 32)
@@ -23,7 +23,4 @@
 bibnemomaf
 
-PRODUIT2 = \
-user
-
 MACHINE_REF = \
 arete.locean-ipsl.upmc.fr
@@ -87,7 +84,4 @@
 SRCXMLDB1 = \
 $(DIRSRC)/bibrefnemo.xml
-
-SRCXMLDB2 = \
-$(DIRSRC)/$(PRODUIT2).xml
 
 IMAGES = \
@@ -167,7 +161,7 @@
 	-@rm -f $(DIRTMP)/bibliomany02.xml
 	-@rm -f $(DIRTMP)/titlepage.$(PRODUIT).xsl
-	-@rm -f $(DIRTMP)/$(PRODUIT2)_db.xml
-	-@rm -f $(DIRTMP)/$(PRODUIT2)_beforetidy.html
-	-@rm -f $(DIRTMP)/$(PRODUIT2)_tidy_err
+	-@rm -f $(DIRTMP)/user_db.xml
+	-@rm -f $(DIRTMP)/user_beforetidy.html
+	-@rm -f $(DIRTMP)/user_tidy_err
 	-@rm -f $(DIRTMP)/template_beforetidy.php
 	-@rm -f $(DIRTMP)/template_tidy_err
@@ -188,5 +182,5 @@
 $(DIRWWW)/en/many/$(PRODUIT)01/ \
 $(DIRWWW)/en/many/$(PRODUIT)02/ \
-$(DIRWWW)/en/one/$(PRODUIT2).html
+$(DIRWWW)/en/one/user.html
 
 pdf_en : ./\
@@ -406,41 +400,41 @@
 	$(SRCXMLDB1)
 
-$(DIRWWW)/en/one/$(PRODUIT2).html : \
-$(DIRTMP)/$(PRODUIT2)_beforetidy.html \
+$(DIRWWW)/en/one/user.html : \
+$(DIRTMP)/user_beforetidy.html \
 $(DIRSRC)/configtidy.txt
 	-@tidy -config $(DIRSRC)/configtidy.txt \
-	-f $(DIRTMP)/$(PRODUIT2)_tidy_err \
+	-f $(DIRTMP)/user_tidy_err \
 	-clean \
 	-xml \
 	-o $@ \
-	$(DIRTMP)/$(PRODUIT2)_beforetidy.html
+	$(DIRTMP)/user_beforetidy.html
 	# tidy supprime trop de blancs
-	@cp $(DIRTMP)/$(PRODUIT2)_beforetidy.html \
-	$(DIRWWW)/en/one/$(PRODUIT2).html
-
-$(DIRTMP)/$(PRODUIT2)_beforetidy.html : \
-$(DIRSRC)/$(PRODUIT).css \
-$(DIRSRC)/style.css \
-$(DIRSRC)/$(PRODUIT2)_html.xsl \
-$(DIRTMP)/$(PRODUIT2)_db.xml
-	@xsltproc \
-	$(XSLPARAMHTML) \
-	--output $@ \
-	$(DIRSRC)/$(PRODUIT2)_html.xsl \
-	$(DIRTMP)/$(PRODUIT2)_db.xml
-
-$(DIRTMP)/$(PRODUIT2)_db.xml : \
-$(DIRSRC)/$(PRODUIT2)_db.xsl \
-$(SRCXMLDB2)
-	@xsltproc \
-	$(XSLPARAMHTML) \
-	--output $@ \
-	$(DIRSRC)/$(PRODUIT2)_db.xsl \
-	$(SRCXMLDB2)
-
-$(SRCXMLDB2) : \
-$(DIRSRC)/$(PRODUIT2).dtd
-	@echo "juste pour info dependances de $(SRCXMLDB2)"
-	-@xmllint --noout --valid $(SRCXMLDB2)
+	@cp $(DIRTMP)/user_beforetidy.html \
+	$(DIRWWW)/en/one/user.html
+
+$(DIRTMP)/user_beforetidy.html : \
+$(DIRSRC)/$(PRODUIT).css \
+$(DIRSRC)/style.css \
+$(DIRSRC)/user_html.xsl \
+$(DIRTMP)/user_db.xml
+	@xsltproc \
+	$(XSLPARAMHTML) \
+	--output $@ \
+	$(DIRSRC)/user_html.xsl \
+	$(DIRTMP)/user_db.xml
+
+$(DIRTMP)/user_db.xml : \
+$(DIRSRC)/user_db.xsl \
+$(DIRSRC)/user.xml
+	@xsltproc \
+	$(XSLPARAMHTML) \
+	--output $@ \
+	$(DIRSRC)/user_db.xsl \
+	$(DIRSRC)/user.xml
+
+$(DIRSRC)/user.xml : \
+$(DIRSRC)/user.dtd
+	@echo "juste pour info dependances de $(DIRSRC)/user.xml"
+	-@xmllint --noout --valid $(DIRSRC)/user.xml
 
 $(DIRWWW)/en/one/template.php : \
Index: trunk/user_db.xml
===================================================================
--- trunk/user_db.xml	(revision 31)
+++ 	(revision )
@@ -1,155 +1,0 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-<!--
-module :
-creation des élements de formulaire (sans saisie) d'après les info usernemo
-
-source :
-/usr/home/fplod/incas/bibnemo/src/bibnemomaf/userinfo_db.xsl sur aedon.locean-ipsl.upmc.fr
-
-update :
-$Id$
-fplod 2007-06-06T10:20:22Z aedon.locean-ipsl.upmc.fr (Darwin)
-add middle name
-fplod 2007-05-04T10:26:02Z aedon.locean-ipsl.upmc.fr (Darwin)
-hohmogéneisation sur bibnemo pr auteur et par année
-fplod 2007-04-20T15:31:20Z aedon.locean-ipsl.upmc.fr (Darwin)
-creation
--->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-
-<xsl:include href="components_db.xsl"/>
-<xsl:include href="compilers_db.xsl"/>
-<xsl:include href="platforms_db.xsl"/>
-<xsl:include href="processors_db.xsl"/>
-
-<xsl:output
- method="xml"
- indent="yes"
- encoding="ISO-8859-1"
- omit-xml-declaration="no"
- doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
- doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"/>
-
-<xsl:template match="usersnemo">
- <article id="usersnemo" lang="en">
-
- <title>Nemo Users</title>
-<articleinfo>
-<authorgroup>
-<author><personname><firstname>Sébastien</firstname> <surname>Masson</surname></personname></author>
-<author><personname><firstname>Françoise</firstname> <surname>Pinsard</surname></personname></author>
-<!--++-->
-</authorgroup>
-<keywordset>
-<keyword>NEMO</keyword>
-</keywordset>
-</articleinfo>
-<highlights id="top">
-<para>
-This page intents to provide an exhaustive list of the papers that have used 
-NEMO or OPA and/or results from them. 
-Obvioulsy many papers are missing.
-If you find omissions or mistakes please ask some modification via
-<xsl:element name="ulink">
- <xsl:attribute name="url">
-  <xsl:value-of select="'./bibnemomain.php'"/>
- </xsl:attribute>
- <xsl:text>Nemo Survey main page</xsl:text>
-</xsl:element>.
-</para>
-</highlights>
-<para>
-Yoy can also see <quote>NEMO - Publications - Papers</quote> sorted by
-<xsl:text>authors</xsl:text>
-authors in
-<xsl:element name="ulink">
- <xsl:attribute name="url">
-  <xsl:value-of select="'./bibnemomaf02.html'"/>
- </xsl:attribute>
- <xsl:text>one big document </xsl:text>
-</xsl:element>
-<xsl:text> or in </xsl:text>
-<xsl:element name="ulink">
- <xsl:attribute name="url">
-  <xsl:value-of select="'../many/bibnemomaf01/index.html'"/>
- </xsl:attribute>
- <xsl:text>several </xsl:text>
-</xsl:element> <xsl:text> (one by author)</xsl:text>.
-</para>
-
-<para>
-Last update of the usernemo databank : <xsl:value-of select="./date"/>
-</para>
-
-<sect1 id="intro">
-<title>Introduction</title>
-<para>
-This document provide user's information sorted by user's id (<emphasis>SURNAME_f</emphasis>).
-</para>
-</sect1>
-
- <xsl:for-each select="usernemo">
- <xsl:sort order="ascending" data-type="text" select="userid"/>
-  <xsl:if test="userid != 'template'">
-   <xsl:apply-templates select="."/>
-  </xsl:if>
- </xsl:for-each>
- </article>
-</xsl:template>
-
-<xsl:template match="usernemo">
- <xsl:text>&#xA;</xsl:text>
- <xsl:element name="sect1">
-  <xsl:attribute name="id"><xsl:value-of select="userid"/></xsl:attribute>
-  <xsl:text>&#xA;</xsl:text>
-  <xsl:element name="title">
-   <xsl:value-of select="personname/firstname"/> <xsl:text> </xsl:text> <xsl:value-of select="personname/othername[@role='mi']"/> <xsl:text> </xsl:text> <xsl:value-of select="personname/surname"/>
-   <xsl:element name="ulink">
-    <xsl:attribute name="url"><xsl:text>#top</xsl:text></xsl:attribute>
-    <xsl:element name="inlinemediaobject">
-     <xsl:element name="imageobject">
-      <xsl:element name="imagedata">
-       <xsl:attribute name="fileref">../../images/globalicondl11x10_up.gif</xsl:attribute>
-      </xsl:element>
-     </xsl:element>
-     <xsl:element name="textobject">
-      <xsl:element name="phrase">
-       <xsl:text>top</xsl:text>
-      </xsl:element>
-     </xsl:element>
-    </xsl:element>
-   </xsl:element>
-  </xsl:element>
-  <xsl:text>&#xA;</xsl:text>
-  <xsl:element name="para">
-   <xsl:value-of select="email"/>
-  </xsl:element>
-  <xsl:text>&#xA;</xsl:text>
-  <xsl:element name="para"> <!-- ++ para ou form -->
-   <xsl:call-template name="components">
-    <xsl:with-param name="usernemo" select="."/>
-    <xsl:with-param name="visu_modif" select="'visu'"/>
-   </xsl:call-template>
-   <xsl:call-template name="platforms">
-    <xsl:with-param name="usernemo" select="."/>
-    <xsl:with-param name="visu_modif" select="'visu'"/>
-   </xsl:call-template>
-   <xsl:call-template name="processors">
-    <xsl:with-param name="usernemo" select="."/>
-    <xsl:with-param name="visu_modif" select="'visu'"/>
-   </xsl:call-template>
-   <xsl:call-template name="compilers">
-    <xsl:with-param name="usernemo" select="."/>
-    <xsl:with-param name="visu_modif" select="'visu'"/>
-   </xsl:call-template>
-  <xsl:text>&#xA;</xsl:text>
-  </xsl:element>
- <xsl:text>&#xA;</xsl:text>
- </xsl:element>
-</xsl:template>
-
-</xsl:stylesheet>