Index: trunk/bibnemomaf01_xml.xsl
===================================================================
--- trunk/bibnemomaf01_xml.xsl	(revision 34)
+++ trunk/bibnemomaf01_xml.xsl	(revision 35)
@@ -197,8 +197,8 @@
  <xsl:message>call template avec <xsl:value-of select="$year"/></xsl:message>
  <xsl:message>noeud courant <xsl:value-of select="name(.)"/></xsl:message>
--->
  <xsl:message>
 year_<xsl:value-of select="$year"/> : <xsl:value-of select="count(/descendant::biblioentry[child::biblioset[child::pubdate=$year]]) + count(/descendant::biblioentry[child::date=$year])"/> 
 </xsl:message>
+-->
  <xsl:element name="sect1">
   <xsl:attribute name="id"><xsl:value-of select="concat('year_',$year)"/></xsl:attribute>
Index: trunk/makefile
===================================================================
--- trunk/makefile	(revision 34)
+++ trunk/makefile	(revision 35)
@@ -206,4 +206,5 @@
 $(DIRSRC)/style.css \
 $(DIRSRC)/bibnemomain_html.xsl \
+$(DIRTMP)/titlepage.$(PRODUIT).xsl \
 $(SRCXMLDB0C)
 	@xsltproc \
@@ -432,5 +433,4 @@
 $(DIRSRC)/user.xml : \
 $(DIRSRC)/user.dtd
-	@echo "juste pour info dependances de $(DIRSRC)/user.xml"
 	-@xmllint --noout --valid $(DIRSRC)/user.xml
 
@@ -475,55 +475,97 @@
 	$(DIRSRC)/user.xml
 
-$(DIRSRC)/$(PRODUIT)01_xml.xsl : \
-$(DIRSRC)/biblioentry_xml.xsl
-	@echo "juste pour info dependances de $(DIRSRC)/$(PRODUIT)01_xml.xsl"
-
-$(DIRSRC)/$(PRODUIT)02_xml.xsl : \
-$(DIRSRC)/table_authors.xsl \
-$(DIRSRC)/biblioentry_xml.xsl
-	@echo "juste pour info dependances de $(PRODUIT)02_xml.xsl"
-
-$(DIRSRC)/superbibmany01_xml.xsl : \
-$(DIRSRC)/table_authors.xsl \
-$(DIRSRC)/biblioentry_xml.xsl
-	@echo "juste pour info dependances de superbibmany01_xml.xsl"
-
-$(DIRSRC)/superbibmany02_xml.xsl : \
-$(DIRSRC)/table_authors.xsl
-$(DIRSRC)/template_db.xsl : \
-$(DIRSRC)/form_db.xsl
-	@echo "juste pour info dependances de template_db.xsl"
-
-$(DIRSRC)/form_db.xsl : \
-$(DIRSRC)/personal_db.xsl \
+$(DIRSRC)/user_db.xsl : \
+$(DIRSRC)/components_db.xsl \
 $(DIRSRC)/compilers_db.xsl \
 $(DIRSRC)/platforms_db.xsl \
+$(DIRSRC)/processors_db.xsl
+	@touch $@
+
+$(DIRSRC)/form_db.xsl : \
+$(DIRSRC)/compilers_db.xsl \
 $(DIRSRC)/components_db.xsl \
+$(DIRSRC)/platforms_db.xsl \
+$(DIRSRC)/personal_db.xsl \
 $(DIRSRC)/comments_db.xsl \
 $(DIRSRC)/newreferences_db.xsl \
 $(DIRSRC)/processors_db.xsl \
 $(DIRSRC)/biblioentry_xml.xsl
-	@echo "juste pour info dependances de form_db.xsl"
+	@touch $@
 
 $(DIRSRC)/biblioentry_xml.xsl : \
 $(DIRSRC)/correction_db.xsl
-	@echo "juste pour info dependances de biblioentry_xml.xsl"
+	@touch $@
+
+$(DIRSRC)/bibnemomaf01_html.xsl : \
+$(DIRTMP)/titlepage.bibnemomaf.xsl
+	@touch $@
+
+$(DIRSRC)/user_html.xsl : \
+$(DIRTMP)/titlepage.bibnemomaf.xsl \
+$(DIRSRC)/form_html.xsl
+	@touch $@
+
+
+$(DIRSRC)/bibnemomafmain_html.xsl : \
+$(DIRTMP)/titlepage.bibnemomaf.xsl \
+$(DIRSRC)/form_html.xsl
+	@touch $@
+
+$(DIRSRC)/bibnemomaf02_html.xsl : \
+$(DIRTMP)/titlepage.bibnemomaf.xsl
+	@touch $@
+
+$(DIRSRC)/superbibmany01_html.xsl : \
+$(DIRTMP)/titlepage.bibnemomaf.xsl
+	@touch $@
 
 $(DIRSRC)/superbibmany02_html.xsl : \
-$(DIRTMP)/titlepage.$(PRODUIT).xsl \
+$(DIRTMP)/titlepage.bibnemomaf.xsl \
 $(DIRSRC)/form_html.xsl
-	@echo "juste pour info dependances de superbibmany02_html.xsl"
-
-$(DIRSRC)/superbibmany01_html.xsl : \
-$(DIRTMP)/titlepage.$(PRODUIT).xsl
-	@echo "juste pour info dependances de superbibmany01_html.xsl"
-
-$(DIRSRC)/bibnemomain_html.xsl : \
-$(DIRTMP)/titlepage.$(PRODUIT).xsl \
-$(DIRSRC)/form_html.xsl
-	@echo "juste pour info dependances de bibnemomain_html.xsl"
-
-$(DIRSRC)/user_html.xsl : \
-$(DIRTMP)/titlepage.$(PRODUIT).xsl \
-$(DIRSRC)/form_html.xsl
-	@echo "juste pour info dependances de bibnemomain_html.xsl"
+	@touch $@
+
+$(DIRSRC)/bibnemomaf_pdf.xsl : \
+$(DIRTMP)/titlepage.bibnemomaf.xsl
+	@touch $@
+
+$(DIRSRC)/bibnemomaf01_txt.xsl : \
+$(DIRTMP)/titlepage.bibnemomaf.xsl
+	@touch $@
+
+$(DIRSRC)/bibnemomaf01_xml.xsl : \
+$(DIRSRC)/biblioentry_xml.xsl
+	@touch $@
+
+$(DIRSRC)/select_id.xsl : \
+$(DIRSRC)/firstname_id.xsl \
+$(DIRSRC)/surname_id.xsl
+	@touch $@
+
+$(DIRSRC)/superbibmany01_xml.xsl : \
+$(DIRSRC)/firstname_id.xsl \
+$(DIRSRC)/surname_id.xsl \
+$(DIRSRC)/table_authors.xsl \
+$(DIRSRC)/biblioentry_xml.xsl
+	@touch $@
+
+$(DIRSRC)/superbibmany02_xml.xsl : \
+$(DIRSRC)/firstname_id.xsl \
+$(DIRSRC)/surname_id.xsl \
+$(DIRSRC)/table_authors.xsl
+	@touch $@
+
+$(DIRSRC)/bibnemomaf02_xml.xsl : \
+$(DIRSRC)/firstname_id.xsl \
+$(DIRSRC)/surname_id.xsl \
+$(DIRSRC)/table_authors.xsl \
+$(DIRSRC)/biblioentry_xml.xsl
+	@touch $@
+
+$(DIRSRC)/template_db.xsl : \
+$(DIRSRC)/form_db.xsl
+	@touch $@
+
+$(DIRSRC)/years_gnuplot.xsl : \
+$(DIRSRC)/biblioentry_xml.xsl
+	@touch $@
+