Index: trunk/biblioentry_xml.xsl
===================================================================
--- trunk/biblioentry_xml.xsl	(revision 48)
+++ trunk/biblioentry_xml.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -22,8 +23,4 @@
 factorisation de bibnemomaf01_xml.xsl, bibnemomaf02_xml.xsl,bibnemomaf04_xml.xsl
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:include href="correction_db.xsl"/>
Index: trunk/comments_db.xsl
===================================================================
--- trunk/comments_db.xsl	(revision 48)
+++ trunk/comments_db.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -10,8 +11,4 @@
 creation
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:template name="comments">
Index: trunk/compilers_db.xsl
===================================================================
--- trunk/compilers_db.xsl	(revision 48)
+++ trunk/compilers_db.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -13,8 +14,4 @@
 creation
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:template name="compilers">
Index: trunk/components_db.xsl
===================================================================
--- trunk/components_db.xsl	(revision 48)
+++ trunk/components_db.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -17,8 +18,4 @@
 creation
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:template name="components">
Index: trunk/correction_db.xsl
===================================================================
--- trunk/correction_db.xsl	(revision 48)
+++ trunk/correction_db.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -10,8 +11,4 @@
 creation
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:template name="correction">
Index: trunk/firstname_id.xsl
===================================================================
--- trunk/firstname_id.xsl	(revision 48)
+++ trunk/firstname_id.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -19,8 +20,4 @@
 cf. http://www.dpawson.co.uk/xsl/sect2/N7240.html CRLF to BR
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:template name="firstname_id">
Index: trunk/form_db.xsl
===================================================================
--- trunk/form_db.xsl	(revision 48)
+++ trunk/form_db.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -18,8 +19,4 @@
 creation
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:include href="personal_db.xsl"/>
Index: trunk/form_html.xsl
===================================================================
--- trunk/form_html.xsl	(revision 48)
+++ trunk/form_html.xsl	(revision 49)
@@ -1,3 +1,5 @@
 <?xml version='1.0' encoding='ISO-8859-1'?> 
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
+
 <!--
 module :
@@ -13,5 +15,4 @@
 création
 -->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
 
 <xsl:template match="form">
Index: trunk/main_html.xsl
===================================================================
--- trunk/main_html.xsl	(revision 48)
+++ trunk/main_html.xsl	(revision 49)
@@ -1,4 +1,5 @@
 <?xml version='1.0' encoding='ISO-8859-1'?> 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
+
 <!--
 module :
Index: trunk/newreferences_db.xsl
===================================================================
--- trunk/newreferences_db.xsl	(revision 48)
+++ trunk/newreferences_db.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -10,8 +11,4 @@
 creation
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:template name="newreferences">
Index: trunk/personal_db.xsl
===================================================================
--- trunk/personal_db.xsl	(revision 48)
+++ trunk/personal_db.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -10,8 +11,4 @@
 creation
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:template name="personal">
Index: trunk/platforms_db.xsl
===================================================================
--- trunk/platforms_db.xsl	(revision 48)
+++ trunk/platforms_db.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -13,8 +14,4 @@
 creation
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:template name="platforms">
Index: trunk/processors_db.xsl
===================================================================
--- trunk/processors_db.xsl	(revision 48)
+++ trunk/processors_db.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -10,8 +11,4 @@
 creation
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:template name="processors">
Index: trunk/select_id.xsl
===================================================================
--- trunk/select_id.xsl	(revision 48)
+++ trunk/select_id.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -22,8 +23,4 @@
 creation
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:include href="firstname_id.xsl"/>
Index: trunk/superbib01_html.xsl
===================================================================
--- trunk/superbib01_html.xsl	(revision 48)
+++ trunk/superbib01_html.xsl	(revision 49)
@@ -1,3 +1,5 @@
 <?xml version='1.0' encoding='ISO-8859-1'?> 
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
+
 <!--
 module :
@@ -9,5 +11,4 @@
 création
 -->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
 
 <xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl"/>
Index: trunk/superbib01_txt.xsl
===================================================================
--- trunk/superbib01_txt.xsl	(revision 48)
+++ trunk/superbib01_txt.xsl	(revision 49)
@@ -1,3 +1,5 @@
 <?xml version='1.0' encoding='ISO-8859-1'?> 
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
+
 <!--
 module :
@@ -9,5 +11,4 @@
 création
 -->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
 
 <xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl"/>
Index: trunk/superbib01_xml.xsl
===================================================================
--- trunk/superbib01_xml.xsl	(revision 48)
+++ trunk/superbib01_xml.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -23,8 +24,4 @@
 creation
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:output
Index: trunk/superbib02_html.xsl
===================================================================
--- trunk/superbib02_html.xsl	(revision 48)
+++ trunk/superbib02_html.xsl	(revision 49)
@@ -1,3 +1,5 @@
 <?xml version='1.0' encoding='ISO-8859-1'?> 
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
+
 <!--
 module :
@@ -9,5 +11,4 @@
 création
 -->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
 
 <xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk.xsl"/>
Index: trunk/superbib02_xml.xsl
===================================================================
--- trunk/superbib02_xml.xsl	(revision 48)
+++ trunk/superbib02_xml.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -21,7 +22,4 @@
 -->
 
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:output
Index: trunk/superbib_author.xsl
===================================================================
--- trunk/superbib_author.xsl	(revision 48)
+++ trunk/superbib_author.xsl	(revision 49)
@@ -1,3 +1,5 @@
 <?xml version='1.0' encoding='ISO-8859-1'?> 
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
+
 <!--
 module :
@@ -15,5 +17,4 @@
 creation
 -->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
 
 <xsl:output
Index: trunk/superbib_pdf.xsl
===================================================================
--- trunk/superbib_pdf.xsl	(revision 48)
+++ trunk/superbib_pdf.xsl	(revision 49)
@@ -1,3 +1,6 @@
 <?xml version='1.0' encoding='ISO-8859-1'?> 
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
+
+
 <!--
 module :
@@ -10,5 +13,4 @@
 d'après http://dblatex.sourceforge.net/doc/sec-custom.html
 -->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
 
 <xsl:include href="titlepage.superbib.xsl"/>
Index: trunk/superbibmany01_html.xsl
===================================================================
--- trunk/superbibmany01_html.xsl	(revision 48)
+++ trunk/superbibmany01_html.xsl	(revision 49)
@@ -1,3 +1,5 @@
 <?xml version='1.0' encoding='ISO-8859-1'?> 
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
+
 <!--
 module :
@@ -10,5 +12,4 @@
 au lieu de user.footer.content
 -->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
 
 <xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk.xsl"/>
Index: trunk/superbibmany01_xml.xsl
===================================================================
--- trunk/superbibmany01_xml.xsl	(revision 48)
+++ trunk/superbibmany01_xml.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
 
 <!--
@@ -16,8 +17,4 @@
 creation à partir de bibnemomaf02_xml.xsl mais liens externes
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:output
Index: trunk/superbibmany02_html.xsl
===================================================================
--- trunk/superbibmany02_html.xsl	(revision 48)
+++ trunk/superbibmany02_html.xsl	(revision 49)
@@ -1,3 +1,5 @@
 <?xml version='1.0' encoding='ISO-8859-1'?> 
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
+
 <!--
 module :
@@ -9,5 +11,4 @@
 création
 -->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
 
 <xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/chunk.xsl"/>
Index: trunk/superbibmany02_xml.xsl
===================================================================
--- trunk/superbibmany02_xml.xsl	(revision 48)
+++ trunk/superbibmany02_xml.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
 
 <!--
@@ -19,8 +20,4 @@
 creation
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:output
Index: trunk/surname_id.xsl
===================================================================
--- trunk/surname_id.xsl	(revision 48)
+++ trunk/surname_id.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -19,8 +20,4 @@
 cf. http://www.dpawson.co.uk/xsl/sect2/N7240.html CRLF to BR
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:template name="surname_id">
Index: trunk/table_authors.xsl
===================================================================
--- trunk/table_authors.xsl	(revision 48)
+++ trunk/table_authors.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -16,8 +17,4 @@
 creation
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:output
Index: trunk/template_db.xsl
===================================================================
--- trunk/template_db.xsl	(revision 48)
+++ trunk/template_db.xsl	(revision 49)
@@ -1,7 +1,8 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
 module :
-creation du prototype de formulaire utilisateur
+création du prototype de formulaire utilisateur
 
 update :
@@ -10,8 +11,4 @@
 fplod 2007-04-26T09:31:32Z aedon.locean-ipsl.upmc.fr (Darwin)
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:output
Index: trunk/user_db.xsl
===================================================================
--- trunk/user_db.xsl	(revision 48)
+++ trunk/user_db.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -14,8 +15,4 @@
 creation
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:include href="components_db.xsl"/>
Index: trunk/user_html.xsl
===================================================================
--- trunk/user_html.xsl	(revision 48)
+++ trunk/user_html.xsl	(revision 49)
@@ -1,3 +1,5 @@
 <?xml version='1.0' encoding='ISO-8859-1'?> 
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
+
 <!--
 module :
@@ -9,5 +11,4 @@
 création
 -->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
 
 <xsl:import href="http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl"/>
Index: trunk/years_gnuplot.xsl
===================================================================
--- trunk/years_gnuplot.xsl	(revision 48)
+++ trunk/years_gnuplot.xsl	(revision 49)
@@ -1,3 +1,4 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -13,8 +14,4 @@
 creation
 -->
-
-<xsl:stylesheet
- id="id" version="1.0"
- xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <xsl:output