Index: trunk/configtidy.txt
===================================================================
--- trunk/configtidy.txt	(revision 53)
+++ 	(revision )
@@ -1,24 +1,0 @@
-// module :
-// configuration de tidy 
-// en attendant que les */docbook.xsl permettent de créer directement des
-// html valides
-// 
-// pris en compte avec l'option -config de tidy
-// ex :
-// $ tidy -config configtidy.txt \
-// -f err_tidy  \
-// -o ginette.html
-// /tmp15/pinsard/public_html/hibiscus/en/many/team.html
-//
-// original location :
-// /usr/home/fplod/src/superbib_ws/configtidy.txt sur aedon.locean-ipsl.upmc.fr
-//
-// update :
-// $Id$
-// ++ voir les nouveautés de tidy depuis la version 1st January 2003
-// fplod 2007-03-30T09:53:33Z aedon.locean-ipsl.upmc.fr (Darwin)
-// création avec la version 1st January 2003 de tidy
-//
-indent: yes
-indent-spaces: 1
-// ++ maintenant je fabrique plutôt des utf8 char-encoding: ascii
Index: trunk/makefile
===================================================================
--- trunk/makefile	(revision 53)
+++ trunk/makefile	(revision 54)
@@ -4,9 +4,13 @@
 # update :
 # $Id$
+# fplod 2008-04-28T10:27:33Z aedon.locean-ipsl.upmc.fr (Darwin)
+# add .PHONY to make possible usage of makeppgraph
+# get rid of tidy
+# introduce URLPUBLISH
 # fplod 2008-04-18T10:24:13Z aedon.locean-ipsl.upmc.fr (Darwin)
 # add year_ploticus.xsl (replacing years_gnuplot.xsl)
 # fplod 2007-11-22T09:57:16Z aedon.locean-ipsl.upmc.fr (Darwin)
-# replace --output parameter by --stringparam base.dir 
-# according to Bob Stayton recommandation in 
+# replace --output parameter by --stringparam base.dir
+# according to Bob Stayton recommandation in
 # http://lists.oasis-open.org/archives/docbook-apps/200711/msg00095.html
 # fplod 2007-10-12T09:40:01Z aedon.locean-ipsl.upmc.fr (Darwin)
@@ -32,5 +36,5 @@
 
 DIRTMP = \
-.
+./
 
 DIRXML = \
@@ -43,7 +47,5 @@
 /tmp/$(PRODUCT)/
 
-# here are some examples of DIRPUBLISH, the first on for Seb on his Mac,
-# the second one for me (Françoise) on mine
-# the third for me (Françoise) on my home page http://www.locean-ipsl.upmc.fr/~fplod/superbibdemo/
+# here are some examples of DIRPUBLISH/URLPUBLISH, the first on for Seb on his Mac,
 #
 # the real one for NEMO is opatlod@cerbere.locean-ispl.upmc.fr:NEMO/general/biblio_new/
@@ -51,12 +53,24 @@
 # comment all of them and define your own
 #
-#DIRPUBLISH = \
-#smasson@arete.locean-ipsl.upmc.fr:Sites/bibnemomaf/
-
+DIRPUBLISH = \
+smasson@arete.locean-ipsl.upmc.fr:Sites/bibnemomaf/
+
+URLPUBLISH = \
+none
+
+# the second one for me (Françoise) on my Mac aedon
 #DIRPUBLISH = \
 #fplod@aedon.locean-ipsl.upmc.fr:Sites/$(PRODUCT)demo/
 
-DIRPUBLISH = \
-fplod@cerbere.locean-ipsl.upmc.fr:./WWW/$(PRODUCT)demo/
+#URLPUBLISH = \
+#none
+
+# the third for me (Françoise) on my home page at LOCEAN
+# http://www.locean-ipsl.upmc.fr/~fplod/superbibdemo/
+#DIRPUBLISH = \
+#none
+
+#URLPUBLISH = \
+#http://www.locean-ipsl.upmc/~fplod/$(PRODUCT)demo/
 
 MAKEDATE = \
@@ -75,9 +89,21 @@
 $(DIRSRC)/images/globalicondl11x10_up.gif
 
+.PHONY : \
+all \
+before \
+clean \
+doc \
+help \
+html_en \
+htmllinkchecka \
+htmllinkcheckb \
+install \
+pdf_en
+
 help :
 	@echo "Define in the makefile localisations of :"
 	@echo " - sources (DIRSRC) where you \"svn checkout\" $(PRODUCT)"
 	@echo " - temporary Web pages (DIRWWW), where you can check links before publication"
-	@echo "- published Web pages (DIRPUBLISH)"
+	@echo "- published Web pages (DIRPUBLISH/URLPUBLISH)"
 	@echo ""
 	@echo "Prepare output directories :"
@@ -133,21 +159,16 @@
 
 install :
-	@./install.sh -w $(DIRWWW) -p $(DIRPUBLISH)
+	./install.sh -w $(DIRWWW) -p $(DIRPUBLISH)
+	./install.sh -w $(DIRWWW) -u $(URLPUBLISH)
 clean :
 	-@rm -fr $(DIRWWW)/
-	-@rm -f $(DIRTMP)/main_beforetidy.php
-	-@rm -f $(DIRTMP)/main_tidy_err
 	-@rm -f $(DIRTMP)/$(DIRTMP)/select_id.xml
 	-@rm -f $(DIRTMP)/main_full.xml
 	-@rm -f $(DIRTMP)/$(PRODUCT)01.xml
-	-@rm -f $(DIRTMP)/$(PRODUCT)01_beforetidy.html
 	-@rm -f $(DIRTMP)/$(PRODUCT)01_dblatex.log
 	-@rm -f $(DIRTMP)/$(PRODUCT)01_dblatex.err
-	-@rm -f $(DIRTMP)/$(PRODUCT)01_tidy_err
 	-@rm -f $(DIRTMP)/years_gnuplot.gnu
 	-@rm -f $(DIRTMP)/years.ploticus
 	-@rm -f $(DIRTMP)/$(PRODUCT)02.xml
-	-@rm -f $(DIRTMP)/$(PRODUCT)02_beforetidy.html
-	-@rm -f $(DIRTMP)/$(PRODUCT)02_tidy_err
 	-@rm -f $(DIRTMP)/$(PRODUCT)02_dblatex.err
 	-@rm -f $(DIRTMP)/$(PRODUCT)02_dblatex.log
@@ -156,9 +177,9 @@
 	-@rm -f $(DIRTMP)/titlepage.$(PRODUCT).xsl
 	-@rm -f $(DIRTMP)/user_db.xml
-	-@rm -f $(DIRTMP)/user_beforetidy.html
-	-@rm -f $(DIRTMP)/user_tidy_err
-	-@rm -f $(DIRTMP)/template_beforetidy.php
-	-@rm -f $(DIRTMP)/template_tidy_err
+	-@rm -f $(DIRTMP)/template_beforesed.php
 	-@rm -f $(DIRTMP)/template_db.xml
+
+all : \
+html_en
 
 doc : \
@@ -171,4 +192,5 @@
 htmllinkchecka :
 	@linkchecker.sh -d $(DIRPUBLISH)
+	@linkchecker.sh -u $(URLPUBLISH)
 
 html_en : \
@@ -194,14 +216,4 @@
 
 $(DIRWWW)/en/one/main.php : \
-$(DIRTMP)/main_beforetidy.php \
-$(DIRSRC)/configtidy.txt
-	-@tidy -config $(DIRSRC)/configtidy.txt \
-	-f $(DIRTMP)/main_tidy_err \
-	-xml \
-	-clean \
-	-output $@ \
-	$(DIRTMP)/main_beforetidy.php
-
-$(DIRTMP)/main_beforetidy.php : \
 $(DIRSRC)/$(PRODUCT).css \
 $(DIRSRC)/style.css \
@@ -216,18 +228,5 @@
 
 $(DIRWWW)/en/one/$(PRODUCT)01.html : \
-$(DIRTMP)/$(PRODUCT)01_beforetidy.html \
-$(DIRSRC)/configtidy.txt \
-$(DIRWWW)/images/years.png
-	-@tidy -config $(DIRSRC)/configtidy.txt \
-	-f $(DIRTMP)/$(PRODUCT)01_tidy_err \
-	-clean \
-	-xml \
-	-o $@ \
-	$(DIRTMP)/$(PRODUCT)01_beforetidy.html
-	# tidy supprime trop de blancs
-	@cp $(DIRTMP)/$(PRODUCT)01_beforetidy.html \
-	$(DIRWWW)/en/one/$(PRODUCT)01.html
-
-$(DIRTMP)/$(PRODUCT)01_beforetidy.html : \
+$(DIRWWW)/images/years.png \
 $(DIRSRC)/$(PRODUCT).css \
 $(DIRSRC)/style.css \
@@ -250,17 +249,4 @@
 
 $(DIRWWW)/en/one/$(PRODUCT)02.html : \
-$(DIRTMP)/$(PRODUCT)02_beforetidy.html \
-$(DIRSRC)/configtidy.txt
-	-@tidy -config $(DIRSRC)/configtidy.txt \
-	-f $(DIRTMP)/$(PRODUCT)02_tidy_err \
-	-clean \
-	-xml \
-	-o $@ \
-	$(DIRTMP)/$(PRODUCT)02_beforetidy.html
-	# tidy ne fait pas la bonne conversion de charset
-	@cp $(DIRTMP)/$(PRODUCT)02_beforetidy.html \
-	$(DIRWWW)/en/one/$(PRODUCT)02.html
-
-$(DIRTMP)/$(PRODUCT)02_beforetidy.html : \
 $(DIRSRC)/$(PRODUCT).css \
 $(DIRSRC)/style.css \
@@ -281,5 +267,5 @@
 	$(XSLPARAMHTML) \
 	--param html.ext "'.php'" \
-	--param base.dir "'$@'" \
+	--param base.dir "'$@/'" \
 	$(DIRSRC)/$(PRODUCT)many02_html.xsl \
 	$(DIRTMP)/bibliomany02.xml
@@ -307,5 +293,5 @@
 	@xsltproc \
 	$(XSLPARAMHTML) \
-	--param base.dir "'$@'" \
+	--param base.dir "'$@/'" \
 	$(DIRSRC)/$(PRODUCT)many01_html.xsl \
 	$(DIRTMP)/bibliomany01.xml
@@ -399,17 +385,4 @@
 
 $(DIRWWW)/en/one/user.html : \
-$(DIRTMP)/user_beforetidy.html \
-$(DIRSRC)/configtidy.txt
-	-@tidy -config $(DIRSRC)/configtidy.txt \
-	-f $(DIRTMP)/user_tidy_err \
-	-clean \
-	-xml \
-	-o $@ \
-	$(DIRTMP)/user_beforetidy.html
-	# tidy supprime trop de blancs
-	@cp $(DIRTMP)/user_beforetidy.html \
-	$(DIRWWW)/en/one/user.html
-
-$(DIRTMP)/user_beforetidy.html : \
 $(DIRSRC)/$(PRODUCT).css \
 $(DIRSRC)/style.css \
@@ -436,23 +409,10 @@
 
 $(DIRWWW)/en/one/template.php : \
-$(DIRTMP)/template_beforetidy.php \
-$(DIRSRC)/configtidy.txt
-	-@tidy -config $(DIRSRC)/configtidy.txt \
-	-f $(DIRTMP)/template_tidy_err \
-	-xml \
-	-clean \
-	-o $@ \
-	$(DIRTMP)/template_beforetidy.php
+$(DIRTMP)/template_beforesed.php
 	# affreux sed
-	@sed -f insertphp_one.sed $(DIRTMP)/template_beforetidy.php > \
-	$(DIRTMP)/template_beforetidy.php_sed
-	mv $(DIRTMP)/template_beforetidy.php_sed \
-	$(DIRTMP)/template_beforetidy.php
-	# tidy supprime trop de blancs
-	@cp \
-	$(DIRTMP)/template_beforetidy.php \
-	$(DIRWWW)/en/one/template.php
-
-$(DIRTMP)/template_beforetidy.php : \
+	@sed -f insertphp_one.sed $(DIRTMP)/template_beforesed.php > \
+	$@
+
+$(DIRTMP)/template_beforesed.php : \
 $(DIRSRC)/$(PRODUCT).css \
 $(DIRSRC)/style.css \
Index: trunk/years_ploticus.xsl
===================================================================
--- trunk/years_ploticus.xsl	(revision 53)
+++ trunk/years_ploticus.xsl	(revision 54)
@@ -10,5 +10,7 @@
 [1950,2049] or so ...
 
-see also years_gnuplot.xsl  (but no historgram, only linepoints)
+see also years_gnuplot.xsl  (but no histogram, only linepoints)
+
+++ voir une solution svg http://www.chez.com/xml/exemples/xslt/barchart/
 
 update :