Index: trunk/user_db.xsl
===================================================================
--- trunk/user_db.xsl	(revision 49)
+++ trunk/user_db.xsl	(revision 55)
@@ -1,4 +1,7 @@
 <?xml version="1.0" encoding="iso-8859-1"?>
-<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+<xsl:stylesheet
+version="1.0"
+xmlns:xl="http://www.w3.org/1999/xlink"
+xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
 <!--
@@ -8,4 +11,6 @@
 update :
 $Id$
+fplod 2008-04-29T10:23:26Z aedon.locean-ipsl.upmc.fr (Darwin)
+chgt for dbk5
 fplod 2007-06-06T10:20:22Z aedon.locean-ipsl.upmc.fr (Darwin)
 add middle name
@@ -25,13 +30,17 @@
  indent="yes"
  encoding="ISO-8859-1"
- omit-xml-declaration="no"
- doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
- doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"/>
+ omit-xml-declaration="no"/>
 
 <xsl:template match="users">
- <article id="users" lang="en">
+
+<xsl:element name="article">
+<xsl:attribute name="version">5.0</xsl:attribute>
+<xsl:attribute name="xmlns">http://docbook.org/ns/docbook</xsl:attribute>
+<xsl:attribute name="xml:lang">en</xsl:attribute>
+<xsl:attribute name="xml:id">users</xsl:attribute>
+
 
  <title>Nemo Users</title>
-<articleinfo>
+<info>
 <authorgroup>
 <author><personname><firstname>Sébastien</firstname> <surname>Masson</surname></personname></author>
@@ -42,13 +51,12 @@
 <keyword>NEMO</keyword>
 </keywordset>
-</articleinfo>
-<highlights id="top">
-<para>
+</info>
+<para xml:id="top">
 This page intents to provide an exhaustive list of the papers that have used 
 NEMO or OPA and/or results from them. 
 Obvioulsy many papers are missing.
 If you find omissions or mistakes please ask some modification via
-<xsl:element name="ulink">
- <xsl:attribute name="url">
+<xsl:element name="link">
+ <xsl:attribute name="xl:href">
   <xsl:value-of select="'./main.php'"/>
  </xsl:attribute>
@@ -56,11 +64,10 @@
 </xsl:element>.
 </para>
-</highlights>
 <para>
 Yoy can also see <quote>NEMO - Publications - Papers</quote> sorted by
 <xsl:text>authors</xsl:text>
 authors in
-<xsl:element name="ulink">
- <xsl:attribute name="url">
+<xsl:element name="link">
+ <xsl:attribute name="xl:href">
   <xsl:value-of select="'./superbib02.html'"/>
  </xsl:attribute>
@@ -68,6 +75,6 @@
 </xsl:element>
 <xsl:text> or in </xsl:text>
-<xsl:element name="ulink">
- <xsl:attribute name="url">
+<xsl:element name="link">
+ <xsl:attribute name="xl:href">
   <xsl:value-of select="'../many/superbib01/index.html'"/>
  </xsl:attribute>
@@ -80,5 +87,5 @@
 </para>
 
-<sect1 id="intro">
+<sect1 xml:id="intro">
 <title>Introduction</title>
 <para>
@@ -93,5 +100,5 @@
   </xsl:if>
  </xsl:for-each>
- </article>
+ </xsl:element>
 </xsl:template>
 
@@ -99,10 +106,10 @@
  <xsl:text>&#xA;</xsl:text>
  <xsl:element name="sect1">
-  <xsl:attribute name="id"><xsl:value-of select="userid"/></xsl:attribute>
+  <xsl:attribute name="xml:id"><xsl:value-of select="userid"/></xsl:attribute>
   <xsl:text>&#xA;</xsl:text>
   <xsl:element name="title">
    <xsl:value-of select="personname/firstname"/> <xsl:text> </xsl:text> <xsl:value-of select="personname/othername[@role='mi']"/> <xsl:text> </xsl:text> <xsl:value-of select="personname/surname"/>
-   <xsl:element name="ulink">
-    <xsl:attribute name="url"><xsl:text>#top</xsl:text></xsl:attribute>
+   <xsl:element name="link">
+    <xsl:attribute name="xl:href"><xsl:text>#top</xsl:text></xsl:attribute>
     <xsl:element name="inlinemediaobject">
      <xsl:element name="imageobject">
@@ -127,16 +134,20 @@
    <xsl:call-template name="components">
     <xsl:with-param name="user" select="."/>
+    <xsl:with-param name="author_id" select="./userid"/>
     <xsl:with-param name="visu_modif" select="'visu'"/>
    </xsl:call-template>
    <xsl:call-template name="platforms">
     <xsl:with-param name="user" select="."/>
+    <xsl:with-param name="author_id" select="./userid"/>
     <xsl:with-param name="visu_modif" select="'visu'"/>
    </xsl:call-template>
    <xsl:call-template name="processors">
     <xsl:with-param name="user" select="."/>
+    <xsl:with-param name="author_id" select="./userid"/>
     <xsl:with-param name="visu_modif" select="'visu'"/>
    </xsl:call-template>
    <xsl:call-template name="compilers">
     <xsl:with-param name="user" select="."/>
+    <xsl:with-param name="author_id" select="./userid"/>
     <xsl:with-param name="visu_modif" select="'visu'"/>
    </xsl:call-template>