Index: trunk/main.xml
===================================================================
--- trunk/main.xml	(revision 57)
+++ trunk/main.xml	(revision 58)
@@ -7,6 +7,5 @@
 xmlns="http://docbook.org/ns/docbook"
 xmlns:xl="http://www.w3.org/1999/xlink"
-xmlns:html="http://www.w3.org/1999/xhtml"
-xml:lang="en">
+xmlns:html="http://www.w3.org/1999/xhtml">
 <!--
 module :
@@ -17,5 +16,8 @@
 update :
 $Id$
+fplod 2008-04-30T15:21:49Z aedon.locean-ipsl.upmc.fr (Darwin)
+language inherited from biblio.xml
 fplod 2008-03-20T15:52:10Z aedon.locean-ipsl.upmc.fr (Darwin)
+
 -->
   <title>Nemo Survey</title>
Index: trunk/main_html.xsl
===================================================================
--- trunk/main_html.xsl	(revision 57)
+++ trunk/main_html.xsl	(revision 58)
@@ -1,4 +1,5 @@
 <?xml version='1.0' encoding='ISO-8859-1'?> 
 <xsl:stylesheet 
+xmlns:d="http://docbook.org/ns/docbook"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
 xmlns:html="http://www.w3.org/1999/xhtml"
@@ -11,4 +12,6 @@
 update :
 $Id$
+fplod 2008-04-30T15:23:38Z aedon.locean-ipsl.upmc.fr (Darwin)
+language inherited from biblio.xml
 fplod 2008-04-28T11:02:38Z aedon.locean-ipsl.upmc.fr (Darwin)
 input dbk5
@@ -27,4 +30,5 @@
 
 <xsl:include href="titlepage.superbib.xsl"/>
+<xsl:include href="message_lang.xsl"/>
 <xsl:include href="form_html.xsl"/>
 
@@ -40,7 +44,9 @@
 -->
 <xsl:template name="user.footer.content">
-  <xsl:element name="p">
-Last update : <xsl:value-of select="$makedate"/>
-  </xsl:element>
+ <xsl:call-template name="para_lastupdate">
+  <xsl:with-param name="language" select="document('biblio.xml')/d:bibliography/@xml:lang"/>
+  <xsl:with-param name="date" select="$makedate"/>
+  <xsl:with-param name="mode" select="'html'"/>
+ </xsl:call-template>
 </xsl:template>
 
Index: trunk/makefile
===================================================================
--- trunk/makefile	(revision 57)
+++ trunk/makefile	(revision 58)
@@ -234,4 +234,5 @@
 $(DIRSRC)/style.css \
 $(DIRSRC)/main_html.xsl \
+$(DIRSRC)/message_lang.xsl \
 $(DIRTMP)/titlepage.$(PRODUCT).xsl \
 $(DIRSRC)/form_html.xsl \
@@ -248,4 +249,5 @@
 $(DIRSRC)/style.css \
 $(DIRSRC)/$(PRODUCT)01_html.xsl \
+$(DIRSRC)/message_lang.xsl \
 $(DIRTMP)/titlepage.$(PRODUCT).xsl \
 $(DIRTMP)/$(PRODUCT)01.xml
@@ -270,4 +272,5 @@
 $(DIRSRC)/style.css \
 $(DIRSRC)/$(PRODUCT)01_html.xsl \
+$(DIRSRC)/message_lang.xsl \
 $(DIRTMP)/titlepage.$(PRODUCT).xsl \
 $(DIRTMP)/$(PRODUCT)02.xml
@@ -282,4 +285,5 @@
 $(DIRSRC)/style.css \
 $(DIRSRC)/$(PRODUCT)many02_html.xsl \
+$(DIRSRC)/message_lang.xsl \
 $(DIRTMP)/titlepage.$(PRODUCT).xsl \
 $(DIRSRC)/form_html.xsl \
@@ -300,4 +304,5 @@
 $(DIRTMP)/$(PRODUCT)many02.xml : \
 $(DIRSRC)/$(PRODUCT)many02_xml.xsl \
+$(DIRSRC)/message_lang.xsl \
 $(DIRSRC)/form_db.xsl \
 $(DIRSRC)/compilers_db.xsl \
@@ -324,4 +329,5 @@
 $(DIRSRC)/style.css \
 $(DIRSRC)/$(PRODUCT)many01_html.xsl \
+$(DIRSRC)/message_lang.xsl \
 $(DIRTMP)/titlepage.$(PRODUCT).xsl \
 $(DIRTMP)/$(PRODUCT)many01.xml
@@ -335,4 +341,5 @@
 $(DIRTMP)/$(PRODUCT)many01.xml : \
 $(DIRSRC)/$(PRODUCT)many01_xml.xsl \
+$(DIRSRC)/message_lang.xsl \
 $(DIRSRC)/firstname_id.xsl \
 $(DIRSRC)/surname_id.xsl \
@@ -349,4 +356,5 @@
 $(DIRTMP)/$(PRODUCT)02.xml : \
 $(DIRSRC)/$(PRODUCT)02_xml.xsl \
+$(DIRSRC)/message_lang.xsl \
 $(DIRSRC)/firstname_id.xsl \
 $(DIRSRC)/surname_id.xsl \
@@ -434,4 +442,5 @@
 $(DIRSRC)/style.css \
 $(DIRSRC)/user_html.xsl \
+$(DIRSRC)/message_lang.xsl \
 $(DIRTMP)/titlepage.$(PRODUCT).xsl \
 $(DIRSRC)/form_html.xsl \
@@ -445,4 +454,5 @@
 $(DIRTMP)/user_db.xml : \
 $(DIRSRC)/user_db.xsl \
+$(DIRSRC)/message_lang.xsl \
 $(DIRSRC)/components_db.xsl \
 $(DIRSRC)/compilers_db.xsl \
@@ -469,4 +479,5 @@
 $(DIRSRC)/style.css \
 $(DIRSRC)/main_html.xsl \
+$(DIRSRC)/message_lang.xsl \
 $(DIRTMP)/titlepage.$(PRODUCT).xsl \
 $(DIRSRC)/form_html.xsl \
@@ -482,4 +493,5 @@
 $(DIRSRC)/user.xml \
 $(DIRSRC)/template_db.xsl \
+$(DIRSRC)/message_lang.xsl \
 $(DIRSRC)/form_db.xsl \
 $(DIRSRC)/compilers_db.xsl \
Index: trunk/message_lang.xsl
===================================================================
--- trunk/message_lang.xsl	(revision 57)
+++ trunk/message_lang.xsl	(revision 58)
@@ -20,4 +20,5 @@
 <xsl:param name="language"/>
 <xsl:param name="date"/>
+<xsl:param name="mode"/>
 
 <xsl:variable name="message_lastupdate_bib">
@@ -31,4 +32,5 @@
 <xsl:otherwise>
  <xsl:message terminate="yes">
+eee : in template para_lastupdate_bib
 eee : unknown language : <xsl:value-of select="$language"/>
 </xsl:message>
@@ -36,7 +38,91 @@
 </xsl:choose>
 </xsl:variable>
+ <xsl:text>&#xA;</xsl:text>
 <para>
 <xsl:value-of select="$message_lastupdate_bib"/> <xsl:value-of select="$date"/>
 </para>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<xsl:template name="para_lastupdate_user">
+<!--
+ Last update of the user databank : date
+-->
+<xsl:param name="language"/>
+<xsl:param name="date"/>
+<xsl:param name="mode"/>
+
+<xsl:variable name="message_lastupdate_user">
+<xsl:choose>
+<xsl:when test="($language = 'en')">
+Last update of the user databank :
+</xsl:when>
+<xsl:when test="($language = 'fr')">
+Dernière mise à jour de la base utilisateur :
+</xsl:when>
+<xsl:otherwise>
+ <xsl:message terminate="yes">
+eee : in template para_lastupdate_user
+eee : unknown language : <xsl:value-of select="$language"/>
+</xsl:message>
+</xsl:otherwise>
+</xsl:choose>
+</xsl:variable>
+ <xsl:text>&#xA;</xsl:text>
+<para>
+<xsl:value-of select="$message_lastupdate_user"/> <xsl:value-of select="$date"/>
+</para>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<xsl:template name="para_lastupdate">
+<!--
+ Last update : date
+-->
+<xsl:param name="language"/>
+<xsl:param name="date"/>
+<xsl:param name="mode"/>
+
+<xsl:variable name="message_lastupdate">
+<xsl:choose>
+<xsl:when test="($language = 'en')">
+Last update :
+</xsl:when>
+<xsl:when test="($language = 'fr')">
+Dernière mise à jour :
+</xsl:when>
+<xsl:otherwise>
+ <xsl:message terminate="yes">
+eee : in template para_lastupdate
+eee : unknown language : <xsl:value-of select="$language"/>
+</xsl:message>
+</xsl:otherwise>
+</xsl:choose>
+</xsl:variable>
+
+<xsl:choose>
+<xsl:when test="($mode = 'dbk')">
+ <xsl:text>&#xA;</xsl:text>
+<para>
+<xsl:value-of select="$message_lastupdate"/> <xsl:value-of select="$date"/>
+</para>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:when>
+<xsl:when test="($mode = 'html')">
+<xsl:element name="p">
+<xsl:value-of select="$message_lastupdate"/> <xsl:value-of select="$date"/>
+</xsl:element>
+</xsl:when>
+<xsl:when test="($mode = 'flat')">
+<xsl:value-of select="$message_lastupdate"/> <xsl:value-of select="$date"/>
+</xsl:when>
+<xsl:otherwise>
+ <xsl:message terminate="yes">
+eee : in template para_lastupdate
+eee : unknown mode : <xsl:value-of select="$mode"/>
+</xsl:message>
+</xsl:otherwise>
+</xsl:choose>
+
 </xsl:template>
 
Index: trunk/superbib01_html.xsl
===================================================================
--- trunk/superbib01_html.xsl	(revision 57)
+++ trunk/superbib01_html.xsl	(revision 58)
@@ -22,4 +22,5 @@
 
 <xsl:include href="titlepage.superbib.xsl"/>
+<xsl:include href="message_lang.xsl"/>
 
 <xsl:template match="*" mode="book.titlepage.mode"/>
@@ -34,7 +35,10 @@
 -->
 <xsl:template name="user.footer.content">
-  <xsl:element name="p">
-Last update : <xsl:value-of select="$makedate"/>
-  </xsl:element>
+ <xsl:call-template name="para_lastupdate">
+  <xsl:with-param name="language" select="/article/@xml:lang"/>
+  <xsl:with-param name="date" select="$makedate"/>
+  <xsl:with-param name="mode" select="'html'"/>
+ </xsl:call-template>
+
 </xsl:template>
 
Index: trunk/superbib01_xml.xsl
===================================================================
--- trunk/superbib01_xml.xsl	(revision 57)
+++ trunk/superbib01_xml.xsl	(revision 58)
@@ -13,5 +13,5 @@
 $Id$
 fplod 2008-04-30T10:32:48Z aedon.locean-ipsl.upmc.fr (Darwin)
-language inherited  from biblio.xml
+language inherited from biblio.xml
 fplod 2008-04-29T15:23:51Z aedon.locean-ipsl.upmc.fr (Darwin)
 chgt for dbk5 in ++
Index: trunk/superbib02_html.xsl
===================================================================
--- trunk/superbib02_html.xsl	(revision 57)
+++ trunk/superbib02_html.xsl	(revision 58)
@@ -22,4 +22,6 @@
 
 <xsl:include href="titlepage.superbib.xsl"/>
+<xsl:include href="message_lang.xsl"/>
+
 
 <xsl:template match="*" mode="book.titlepage.mode"/>
@@ -36,7 +38,9 @@
 -->
 <xsl:template name="user.footer.content">
-  <xsl:element name="p">
-Last update : <xsl:value-of select="$makedate"/>
-  </xsl:element>
+ <xsl:call-template name="para_lastupdate">
+  <xsl:with-param name="language" select="/article/@xml:lang"/>
+  <xsl:with-param name="date" select="$makedate"/>
+  <xsl:with-param name="mode" select="'html'"/>
+ </xsl:call-template>
 </xsl:template>
 
Index: trunk/superbib02_xml.xsl
===================================================================
--- trunk/superbib02_xml.xsl	(revision 57)
+++ trunk/superbib02_xml.xsl	(revision 58)
@@ -12,4 +12,6 @@
 update :
 $Id$
+fplod 2008-04-30T15:02:03Z aedon.locean-ipsl.upmc.fr (Darwin)
+language inherited from biblio.xml
 fplod 2008-04-29T08:01:08Z aedon.locean-ipsl.upmc.fr (Darwin)
 chgt for dbk5
@@ -35,4 +37,6 @@
  omit-xml-declaration="no"/>
 
+<xsl:include href="message_lang.xsl"/>
+
 <xsl:include href="firstname_id.xsl"/>
 <xsl:include href="surname_id.xsl"/>
@@ -47,5 +51,5 @@
 <xsl:attribute name="version">5.0</xsl:attribute>
 <xsl:attribute name="xmlns">http://docbook.org/ns/docbook</xsl:attribute>
-<xsl:attribute name="xml:lang">en</xsl:attribute>
+<xsl:attribute name="xml:lang"><xsl:value-of select="@xml:lang"/></xsl:attribute>
 <title>NEMO - Publications - Papers by authors</title>
 <info>
@@ -78,7 +82,9 @@
 </xsl:element>.
 </para>
-<para>
-Last update of the bibliography databank : <xsl:value-of select="d:info/d:date"/>
-</para>
+
+<xsl:call-template name="para_lastupdate_bib">
+ <xsl:with-param name="language" select="@xml:lang"/>
+ <xsl:with-param name="date" select="d:info/d:date"/>
+</xsl:call-template>
 
 <sect1 xml:id="intro">
Index: trunk/superbibmany01_html.xsl
===================================================================
--- trunk/superbibmany01_html.xsl	(revision 57)
+++ trunk/superbibmany01_html.xsl	(revision 58)
@@ -23,4 +23,6 @@
 
 <xsl:include href="titlepage.superbib.xsl"/>
+<xsl:include href="message_lang.xsl"/>
+
 
 <xsl:template match="*" mode="book.titlepage.mode"/>
@@ -43,7 +45,9 @@
 -->
 <xsl:template name="user.footer.navigation">
-  <xsl:element name="p">
-Last update : <xsl:value-of select="$makedate"/>
-  </xsl:element>
+ <xsl:call-template name="para_lastupdate">
+  <xsl:with-param name="language" select="/article/@xml:lang"/>
+  <xsl:with-param name="date" select="$makedate"/>
+  <xsl:with-param name="mode" select="'html'"/>
+ </xsl:call-template>
 </xsl:template>
 
Index: trunk/superbibmany01_xml.xsl
===================================================================
--- trunk/superbibmany01_xml.xsl	(revision 57)
+++ trunk/superbibmany01_xml.xsl	(revision 58)
@@ -14,4 +14,6 @@
 update :
 $Id$
+fplod 2008-04-30T14:52:20Z aedon.locean-ipsl.upmc.fr (Darwin)
+language inherited from biblio.xml
 fplod 2008-04-29T15:57:17Z aedon.locean-ipsl.upmc.fr (Darwin)
 chgt for dbk5 in 
@@ -33,4 +35,6 @@
  omit-xml-declaration="no"/>
 
+<xsl:include href="message_lang.xsl"/>
+
 <xsl:include href="firstname_id.xsl"/>
 <xsl:include href="surname_id.xsl"/>
@@ -45,5 +49,5 @@
 <xsl:attribute name="version">5.0</xsl:attribute>
 <xsl:attribute name="xmlns">http://docbook.org/ns/docbook</xsl:attribute>
-<xsl:attribute name="xml:lang">en</xsl:attribute>
+<xsl:attribute name="xml:lang"><xsl:value-of select="@xml:lang"/></xsl:attribute>
 <title>NEMO - Publications - Papers by authors</title>
 <info>
@@ -76,7 +80,8 @@
 </xsl:element>.
 </para>
-<para>
-Last update of the bibliography databank : <xsl:value-of select="d:info/d:date"/>
-</para>
+<xsl:call-template name="para_lastupdate_bib">
+ <xsl:with-param name="language" select="@xml:lang"/>
+ <xsl:with-param name="date" select="d:info/d:date"/>
+</xsl:call-template>
 
 <sect1 xml:id="intro">
Index: trunk/superbibmany02_html.xsl
===================================================================
--- trunk/superbibmany02_html.xsl	(revision 57)
+++ trunk/superbibmany02_html.xsl	(revision 58)
@@ -15,4 +15,6 @@
 
 <xsl:include href="titlepage.superbib.xsl"/>
+<xsl:include href="message_lang.xsl"/>
+
 <xsl:include href="form_html.xsl"/>
 
@@ -35,7 +37,9 @@
 -->
 <xsl:template name="user.footer.navigation">
-  <xsl:element name="p">
-Last update : <xsl:value-of select="$makedate"/>
-  </xsl:element>
+ <xsl:call-template name="para_lastupdate">
+  <xsl:with-param name="language" select="/article/@xml:lang"/>
+  <xsl:with-param name="date" select="$makedate"/>
+  <xsl:with-param name="mode" select="'html'"/>
+ </xsl:call-template>
 </xsl:template>
 
Index: trunk/superbibmany02_xml.xsl
===================================================================
--- trunk/superbibmany02_xml.xsl	(revision 57)
+++ trunk/superbibmany02_xml.xsl	(revision 58)
@@ -15,4 +15,6 @@
 update :
 $Id$
+fplod 2008-04-30T14:52:55Z aedon.locean-ipsl.upmc.fr (Darwin)
+language inherited from biblio.xml
 fplod 2008-04-30T06:44:31Z aedon.locean-ipsl.upmc.fr (Darwin)
 chgt for dbk5 in
@@ -36,4 +38,6 @@
  omit-xml-declaration="yes"/>
 
+<xsl:include href="message_lang.xsl"/>
+
 <xsl:include href="firstname_id.xsl"/>
 <xsl:include href="surname_id.xsl"/>
@@ -48,5 +52,5 @@
 <xsl:attribute name="version">5.0</xsl:attribute>
 <xsl:attribute name="xmlns">http://docbook.org/ns/docbook</xsl:attribute>
-<xsl:attribute name="xml:lang">en</xsl:attribute>
+<xsl:attribute name="xml:lang"><xsl:value-of select="@xml:lang"/></xsl:attribute>
 <title>NEMO Survey - Known users</title>
 <info>
@@ -75,10 +79,13 @@
 </xsl:element>
 
-<para>
-Last update of the bibliography databank : <xsl:value-of select="d:info/d:date"/>
-</para>
-<para>
-Last update of the user databank : <xsl:value-of select="document('user.xml')/users/date"/>
-</para>
+<xsl:call-template name="para_lastupdate_bib">
+ <xsl:with-param name="language" select="@xml:lang"/>
+ <xsl:with-param name="date" select="d:info/d:date"/>
+</xsl:call-template>
+
+<xsl:call-template name="para_lastupdate_user">
+ <xsl:with-param name="language" select="@xml:lang"/>
+ <xsl:with-param name="date" select="document('user.xml')/users/date"/>
+</xsl:call-template>
 
 <xsl:call-template name="table_authors">
Index: trunk/template_db.xsl
===================================================================
--- trunk/template_db.xsl	(revision 57)
+++ trunk/template_db.xsl	(revision 58)
@@ -3,4 +3,5 @@
 version="1.0"
 xmlns:html="http://www.w3.org/1999/xhtml"
+xmlns:d="http://docbook.org/ns/docbook"
 xmlns:xl="http://www.w3.org/1999/xlink"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
@@ -12,4 +13,6 @@
 update :
 $Id$
+fplod 2008-04-30T13:30:47Z aedon.locean-ipsl.upmc.fr (Darwin)
+language inherited  from biblio.xml
 fplod 2008-04-29T10:28:37Z aedon.locean-ipsl.upmc.fr (Darwin)
 chgt for dbk5
@@ -24,4 +27,5 @@
  omit-xml-declaration="no"/>
 
+<xsl:include href="message_lang.xsl"/>
 <xsl:include href="form_db.xsl"/>
 
@@ -35,8 +39,5 @@
 <xsl:attribute name="version">5.0</xsl:attribute>
 <xsl:attribute name="xmlns">http://docbook.org/ns/docbook</xsl:attribute>
-<!--++
-<xsl:attribute name="xmlns:html">http://www.w3.org/1999/xhtml</xsl:attribute>
-++-->
-<xsl:attribute name="xml:lang">en</xsl:attribute>
+<xsl:attribute name="xml:lang"><xsl:value-of select="document('biblio.xml')/d:bibliography/@xml:lang"/></xsl:attribute>
 <xsl:attribute name="xml:id">template_form</xsl:attribute>
 
@@ -53,9 +54,15 @@
 <!-- ++ date -->
 </info>
+ <xsl:text>&#xA;</xsl:text>
 
  <xsl:comment> 
   template form from template userid in user.xml.
-Last update of the user databank : <xsl:value-of select="ancestor::users/child::date"/>
+<xsl:call-template name="para_lastupdate_user">
+ <xsl:with-param name="language" select="document('biblio.xml')/d:bibliography/@xml:lang"/>
+
+ <xsl:with-param name="date" select="ancestor::users/child::date"/>
+</xsl:call-template>
  </xsl:comment>
+
  <xsl:text>&#xA;</xsl:text>
  <xsl:element name="sect1">
Index: trunk/user_db.xsl
===================================================================
--- trunk/user_db.xsl	(revision 57)
+++ trunk/user_db.xsl	(revision 58)
@@ -2,4 +2,5 @@
 <xsl:stylesheet
 version="1.0"
+xmlns:d="http://docbook.org/ns/docbook"
 xmlns:xl="http://www.w3.org/1999/xlink"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
@@ -11,4 +12,6 @@
 update :
 $Id$
+fplod 2008-04-30T13:55:17Z aedon.locean-ipsl.upmc.fr (Darwin)
+language inherited  from biblio.xml
 fplod 2008-04-29T10:23:26Z aedon.locean-ipsl.upmc.fr (Darwin)
 chgt for dbk5
@@ -21,4 +24,5 @@
 -->
 
+<xsl:include href="message_lang.xsl"/>
 <xsl:include href="components_db.xsl"/>
 <xsl:include href="compilers_db.xsl"/>
@@ -37,5 +41,5 @@
 <xsl:attribute name="version">5.0</xsl:attribute>
 <xsl:attribute name="xmlns">http://docbook.org/ns/docbook</xsl:attribute>
-<xsl:attribute name="xml:lang">en</xsl:attribute>
+<xsl:attribute name="xml:lang"><xsl:value-of select="document('biblio.xml')/d:bibliography/@xml:lang"/></xsl:attribute>
 <xsl:attribute name="xml:id">users</xsl:attribute>
 
@@ -83,7 +87,8 @@
 </para>
 
-<para>
-Last update of the user databank : <xsl:value-of select="./date"/>
-</para>
+<xsl:call-template name="para_lastupdate_user">
+ <xsl:with-param name="language" select="document('biblio.xml')/d:bibliography/@xml:lang"/>
+ <xsl:with-param name="date" select="./date"/>
+</xsl:call-template>
 
 <sect1 xml:id="intro">
Index: trunk/user_html.xsl
===================================================================
--- trunk/user_html.xsl	(revision 57)
+++ trunk/user_html.xsl	(revision 58)
@@ -22,4 +22,6 @@
 
 <xsl:include href="titlepage.superbib.xsl"/>
+<xsl:include href="message_lang.xsl"/>
+
 <xsl:include href="form_html.xsl"/>
 
@@ -35,7 +37,9 @@
 -->
 <xsl:template name="user.footer.content">
-  <xsl:element name="p">
-Last update : <xsl:value-of select="$makedate"/>
-  </xsl:element>
+ <xsl:call-template name="para_lastupdate">
+  <xsl:with-param name="language" select="@xml:lang"/>
+  <xsl:with-param name="date" select="$makedate"/>
+  <xsl:with-param name="mode" select="'html'"/>
+ </xsl:call-template>
 </xsl:template>
 