Index: trunk/biblioentry_xml.xsl
===================================================================
--- trunk/biblioentry_xml.xsl	(revision 64)
+++ trunk/biblioentry_xml.xsl	(revision 65)
@@ -13,4 +13,6 @@
 update :
 $Id$
+fplod 2008-05-13T09:17:14Z aedon.locean-ipsl.upmc.fr (Darwin)
+bibliomisc is written after biblioid
 fplod 2008-05-07T09:06:53Z aedon.locean-ipsl.upmc.fr (Darwin)
 improvements for conference
@@ -80,4 +82,5 @@
        <xsl:apply-templates select="$my_biblioentry/descendant::d:pagenums"/>
       </xsl:if>
+      <xsl:apply-templates select="$my_biblioentry/d:biblioid"/>
       <xsl:if test="$my_biblioentry/descendant::d:biblioset/child::d:bibliomisc">
        <xsl:apply-templates select="$my_biblioentry/descendant::d:biblioset/child::d:bibliomisc"/>
@@ -85,4 +88,6 @@
      </xsl:when>
      <xsl:when test="$my_biblioentry/descendant::d:biblioset[@relation='conference']">
+      <xsl:apply-templates select="$my_biblioentry/descendant::d:biblioset/child::d:title"/>
+      <xsl:text>, </xsl:text>
       <xsl:apply-templates select="$my_biblioentry/descendant::d:biblioset/descendant::d:conftitle"/>
       <xsl:if test="$my_biblioentry/descendant::d:biblioset/descendant::d:confnum">
@@ -108,5 +113,4 @@
      </xsl:otherwise>
     </xsl:choose>
-    <xsl:apply-templates select="$my_biblioentry/d:biblioid"/>
   </xsl:element>
   <xsl:if test="$visu_modif= 'modif'">
@@ -148,4 +152,11 @@
    </xsl:message>
   </xsl:if>
+<!--
+   <xsl:message>
+position de l'auteur <xsl:value-of select="d:personname/d:surname"/> :
+<xsl:value-of select="position()"/> / <xsl:value-of select="count(following-sibling::*)"/>
+</xsl:message>
+-->
+
   <xsl:choose>
    <xsl:when test="position()=1">
@@ -167,4 +178,7 @@
    </xsl:when>
    <xsl:when test="count(following-sibling::*)  = 1">
+<!--
+   <xsl:message>ANDDDDD</xsl:message>
+-->
     <!-- un suivant -->
     <xsl:call-template name="and">
@@ -189,4 +203,5 @@
   <xsl:value-of select="normalize-space(.)"/>
 </xsl:template>
+
 <xsl:template match="d:biblioentry/d:title">
   <xsl:value-of select="normalize-space(.)"/>
@@ -228,10 +243,13 @@
 </xsl:template>
 
-<xsl:template match="d:biblioset[@relation='conference']/d:publisher/d:publishername">
-  <xsl:value-of select="normalize-space(.)"/>
-</xsl:template>
+<xsl:template match="d:biblioset[@relation='conference']/d:title">
+<!-- title of proceedings for instance -->
+ <xsl:value-of select="normalize-space(.)"/>
+</xsl:template>
+
 <xsl:template match="d:conftitle">
   <xsl:value-of select="normalize-space(.)"/>
 </xsl:template>
+
 <xsl:template match="d:confdates">
   <xsl:value-of select="normalize-space(.)"/>
@@ -240,4 +258,5 @@
   <xsl:value-of select="normalize-space(.)"/>
 </xsl:template>
+
 <xsl:template match="d:address">
   <xsl:value-of select="normalize-space(.)"/>
@@ -309,4 +328,6 @@
 eee : <xsl:value-of select="normalize-space(.)"/>
  </xsl:message>
+ <xsl:text>, </xsl:text>
+ <xsl:value-of select="normalize-space(.)"/>
 </xsl:otherwise>
 </xsl:choose>
Index: trunk/bibopa.sh
===================================================================
--- trunk/bibopa.sh	(revision 64)
+++ trunk/bibopa.sh	(revision 65)
@@ -265,5 +265,5 @@
 jlist[${ij}]="Ocean Dyn."
 ij=$(( ${ij} + 1))
-jlist[${ij}]="Geophysical Monograph Series"
+jlist[${ij}]="Geophysical Monograph Series, Earth's Climate: The Ocean-Atmosphere Interaction"
 ij=$(( ${ij} + 1))
 jlist[${ij}]="Paleoceanography"
@@ -476,4 +476,5 @@
       endline=${endline#*,}
       title=$( echo ${endline} | awk -F "," '{print $1}' | sed -e "s/\(title * = *{\)\(.*\)\(}\)/\2/")
+      #echo "title : ${title}"
       endline=${endline#*,}
 #echo ${endline} | awk -F "," '{print $1}' #++debug
@@ -581,5 +582,4 @@
 # end of the line ; after the first :
   endline=${line#*:}
-
 ## find the journal
   j=1
@@ -602,5 +602,4 @@
       # it might be a book, a manual, a conference, etc. ++
       echo "  <title>${title}</title>" >> ${fileou}
-      #++echo "  <biblioid class=\"isbn\">${isbn}</biblioid>" >> ${fileou}
 	  cat <<EOF >> ${fileou}
   <biblioset relation="nojournal">
@@ -638,7 +637,21 @@
   else
       echo "non doi: ${line}"
+      echo ""
   fi
   num=$( echo ${endline} |  tr -dc "," | wc -c )
   case ${num} in
+      0)
+### echo ${num}: ${endline}
+	  cat <<EOF >> ${fileou}
+  <biblioset relation="journal">
+    <title>${jfound}</title>
+    <pubdate>${year}</pubdate>
+    <bibliomisc>${endline}</bibliomisc>
+  </biblioset>
+EOF
+          unset jfound
+          unset year
+      ;;
+
       1)
 ### echo ${num}: ${endline}
@@ -654,4 +667,8 @@
   </biblioset>
 EOF
+          unset vol
+          unset pag
+          unset jfound
+          unset year
       ;;
       2)
@@ -671,7 +688,99 @@
   </biblioset>
 EOF
+          unset vol
+          unset pag
+          unset jfound
+          unset year
+          unset iss
+      ;;
+      6)
+          conftitle=${endline%%,*}
+          endline=${endline#*,}
+          confdates=${endline%%,*} # day(s) month
+          endline=${endline#*,}
+          confdates="${confdates}, ${endline%%,*}" # day(s) month and year
+          confdates=$( cleanname "${confdates}" )
+          endline=${endline#*,}
+          confaddress=${endline%%,*} # Town
+          endline=${endline#*,}
+          confaddress="${confaddress}, ${endline%%,*}" # Town and country
+          confaddress=$( cleanname "${confaddress}" )
+          endline=${endline#*,}
+          publishername=${endline%%,*}
+          publishername=$( cleanname "${publishername}" )
+          endline=${endline#*,}
+          pag=${endline##*,}
+	  pag=$( cleanname "${pag}" )
+#set 
+#read a
+	  cat <<EOF >> ${fileou}
+<biblioset relation="conference">
+ <title>${jfound}</title>
+ <pubdate>${year}</pubdate>
+ <publisher><publishername>${publishername}</publishername></publisher>
+ <pagenums>${pag}</pagenums>
+ <confgroup>
+  <conftitle>${conftitle}</conftitle>
+  <confdates>${confdates}</confdates>
+  <address>${confaddress}</address>
+ </confgroup>
+</biblioset>
+EOF
+      unset confaddress
+      unset conftitle
+      unset confdates
+      unset pag
+      unset publishername
+      unset year
+      unset jfound
+      ;;
+      10)
+          publishername=${endline%%Editors,*} 
+          publishername="${publishername} Editors"
+          publishername=$( cleanname "${publishername}" )
+          endline=${endline#*Editors,}
+          vol=${endline%%,*}
+          vol=$( cleanname "${vol}" )
+          endline=${endline#*,}
+          pag=${endline%%,*}
+          pag=$( cleanname "${pag}" )
+          endline=${endline#*,}
+          isbn=${endline%%,*}
+          isbn=$(echo ${isbn} | sed -e "s/ISBN ://")
+          isbn=$( cleanname "${isbn}" )
+          endline=${endline#*,}
+          agu=${endline%%,*}
+          agu=$(echo ${agu} | sed -e "s/AGU ://")
+          agu=$( cleanname "${agu}" )
+
+          endline=${endline#*${agu}}
+          endline=$( cleanname "${endline}" )
+          endline=$( cleanname "${endline}" )
+
+	  cat <<EOF >> ${fileou}
+  <biblioid class="isbn">${isbn}</biblioid>
+  <biblioid class="other" otherclass="AGU">${agu}</biblioid>
+  <biblioset relation="journal">
+    <title>${jfound}</title>
+    <pubdate>${year}</pubdate>
+    <publisher><publishername>${publishername}</publishername></publisher>
+    <volumenum>${vol}</volumenum>
+    <pagenums>${pag}</pagenums>
+    <bibliomisc>${endline}</bibliomisc>
+  </biblioset>
+EOF
+      unset isbn
+      unset agu 
+      unset pag
+      unset publishername
+      unset year
+      unset jfound
+      unset vol
+
       ;;
       *)
-#echo ${num}: ${endline} # ++debug
+echo ${num}: ${endline} # ++debug
+#set
+#exit 1 #++ debug
 	  cat <<EOF >> ${fileou}
   <biblioset relation="journal">
@@ -688,9 +797,9 @@
 
 EOF
-
-
-
-
   fi # end of if jfound not empty
+  unset title
+  unset vol
+  unset year 
+  unset pag
   l=$(( ${l} + 1 ))
 
Index: trunk/data/biball.xml
===================================================================
--- trunk/data/biball.xml	(revision 64)
+++ trunk/data/biball.xml	(revision 65)
@@ -71,5 +71,5 @@
 <biblioentry xml:id="andrich1988_01">
   <!-- date
-2008-05-07T09:44:35Z
+2008-05-13T09:30:41Z 
   -->
   <!-- original text
@@ -84,4 +84,5 @@
   <title>Performance evaluation for an Ocean General Circulation Model, Vectorization and Multitasking</title>
   <biblioset relation="conference">
+    <title>In Conference Proceedings of the 1988 International Conference on Supercomputing</title>
     <pubdate>1988</pubdate>
     <publisher><publishername>AMC press</publishername></publisher>
@@ -110,4 +111,5 @@
   <title>A multitasked general circulation model of the ocean</title>
   <biblioset relation="conference">
+    <title>In Science and engineering on Cray Supercomputers, Proceedings of the 4th International Symposium Minneapolis</title>
     <pubdate>1988</pubdate>
     <publisher><publishername>Cray Research, Inc. book</publishername></publisher>
@@ -2071,5 +2073,5 @@
   <title>Modeling of oceans circulation</title>
   <biblioset relation="journal">
-    <title>Energy Water Cycles in the Climate System.NATO Advanced Study Institute</title>
+    <title>In Energy Water Cycles in the Climate System, NATO Advanced Study Institute</title>
     <pubdate>1992</pubdate>
     <publisher><publishername>E. Raschke D. Jacob</publishername><address> Luneburg, Germany</address></publisher>
@@ -2128,5 +2130,5 @@
   <title>Ocean modelling and the role of the ocean in the climate system</title>
   <biblioset relation="journal">
-    <title>Modeling the Earth's Climate and its Variability</title>
+    <title>In Modeling the Earth's Climate and its Variability</title>
     <pubdate>1999</pubdate>
     <publisher><publishername>W. R. Holland, S. Jaussaume and F. David, eds., Elsevier Science</publishername></publisher>
@@ -3575,5 +3577,5 @@
   <title>First considerations about modelling the ocean genral circulation on MIMD machines by domain decomposition method</title>
   <biblioset relation="journal">
-    <title>High performance computing in the geosciences</title>
+    <title>In High performance computing in the geosciences</title>
     <publisher><publishername>Kluwer Academic Publish</publishername><address>Netherls</address></publisher>
     <pagenums>125-140</pagenums>
@@ -4874,5 +4876,5 @@
   <title>Interannual variability simulated in the tropical Pacific</title>
   <biblioset relation="journal">
-    <title>The mathematics of models for climatology and environment, NOTO ASI Series I: Global Environment Change</title>
+    <title>In The mathematics of models for climatology and environment, NOTO ASI Series I: Global Environment Change</title>
     <pubdate>1996</pubdate>
     <publisher><publishername>Springer Verlag</publishername></publisher>
Index: trunk/data/bibnemo1.xml
===================================================================
--- trunk/data/bibnemo1.xml	(revision 65)
+++ trunk/data/bibnemo1.xml	(revision 65)
@@ -0,0 +1,107 @@
+<?xml version='1.0' encoding='ISO-8859-1'?>
+<bibliography
+version="5.0"
+xmlns="http://docbook.org/ns/docbook"
+xml:id="bibnemo1" xml:lang="en">
+<info>
+<date>
+2008-05-07T15:01:26Z
+</date>
+<!-- 
+short version for test nemo
+
+update :
+$Id$
+fplod 2008-05-07T15:07:43Z aedon.locean-ipsl.upmc.fr (Darwin)
+-->
+</info>
+<biblioentry xml:id="achutarao2000_01">
+<!-- article with no doi -->
+  <authorgroup>
+    <author> <personname> <surname>AchutaRao</surname> <firstname>K.</firstname> </personname> </author>
+    <author> <personname> <surname>Sperber</surname> <firstname>K. R.</firstname> </personname> </author>
+  </authorgroup>
+  <title>The El Nino Southern Oscillation in Coupled GCMs</title>
+  <biblioset relation="journal">
+    <title>PCMDI Report Series</title>
+    <volumenum>61</volumenum><pagenums>46 pp</pagenums>
+    <pubdate>2000</pubdate>
+  </biblioset>
+</biblioentry>
+<biblioentry xml:id="alory2005_01">
+<!-- article with doi -->
+  <authorgroup>
+    <author> <personname> <surname>Alory</surname> <firstname>G.</firstname> </personname> </author>
+    <author> <personname> <surname>Cravatte</surname> <firstname>S.</firstname> </personname> </author>
+    <author> <personname> <surname>Izumo</surname> <firstname>T.</firstname> </personname> </author>
+    <author> <personname> <surname>Rodgers</surname> <firstname>K. B.</firstname> </personname> </author>
+  </authorgroup>
+  <title>Validation of a decadal OGCM simulation for the tropical Pacific</title>
+  <biblioid class="doi">10.1016/j.ocemod.2004.08.003</biblioid>
+  <biblioset relation="journal">
+    <title>Ocean Modelling</title>
+    <volumenum>10</volumenum><issuenum>3-4</issuenum><pagenums>272-282</pagenums>
+    <pubdate>2005</pubdate>
+  </biblioset>
+</biblioentry>
+<biblioentry xml:id="andrich1988_01">
+<!-- conf proceeding -->
+  <authorgroup>
+    <author> <personname> <surname>Andrich</surname> <firstname>P.</firstname> </personname> </author>
+    <author> <personname> <surname>Madec</surname> <firstname>G.</firstname> </personname> </author>
+    <author> <personname> <surname>L'hostis</surname> <firstname>D.</firstname> </personname> </author>
+  </authorgroup>
+  <title>Performance evaluation for an Ocean General Circulation Model, Vectorization and Multitasking</title>
+  <biblioset relation="conference">
+    <title>In Conference Proceedings of the 1988 International Conference on Supercomputing</title>
+    <pubdate>1988</pubdate>
+    <publisher><publishername>AMC press</publishername></publisher>
+    <pagenums>295-303</pagenums>
+    <confgroup>
+     <conftitle>International Conference on Supercomputing</conftitle>
+     <confdates>July 4-8, 1988</confdates>
+     <address>St-Malo, France</address>
+    </confgroup>
+  </biblioset>
+</biblioentry>
+
+<biblioentry xml:id="bernie2007_01">
+<!-- article in press -->
+  <authorgroup>
+    <author> <personname> <surname>Bernie</surname> <firstname>D. J.</firstname> </personname> </author>
+    <author> <personname> <surname>Guilyardi</surname> <firstname>E.</firstname> </personname> </author>
+    <author> <personname> <surname>Madec</surname> <firstname>G.</firstname> </personname> </author>
+    <author> <personname> <surname>Woolnough</surname> <firstname>S. J.</firstname> </personname> </author>
+    <author> <personname> <surname>Slingo</surname> <firstname>J. M.</firstname> </personname> </author>
+  </authorgroup>
+  <title>Impact of resolving the diurnal cycle in an ocean-atmosphere GCM. part 1: Diurnally forced OGCM</title>
+  <biblioset relation="journal">
+    <title>Clim. Dyn.</title>
+    <pubdate>2007</pubdate>
+    <bibliomisc>in press</bibliomisc>
+  </biblioset>
+</biblioentry>
+<biblioentry xml:id="yamagata2004_01">
+<!-- book with isbn and agu code -->
+  <authorgroup>
+    <author> <personname> <surname>Yamagata</surname> <firstname>T.</firstname> </personname> </author>
+    <author> <personname> <surname>Behera</surname> <firstname>S. K.</firstname> </personname> </author>
+    <author> <personname> <surname>Luo</surname> <firstname>J.-J.</firstname> </personname> </author>
+    <author> <personname> <surname>Masson</surname> <firstname>S.</firstname> </personname> </author>
+    <author> <personname> <surname>Jury</surname> <firstname>M.</firstname> </personname> </author>
+    <author> <personname> <surname>Rao</surname> <firstname>S. A.</firstname> </personname> </author>
+  </authorgroup>
+  <title>Coupled ocean-atmosphere variability in the tropical Indian Ocean</title>
+  <biblioid class="isbn">0-87590-412-2</biblioid>
+  <biblioid class="other" otherclass="AGU">Code GM1474122</biblioid>
+  <biblioset relation="journal">
+    <title>Geophysical Monograph Series, Earth's Climate: The Ocean-Atmosphere Interaction</title>
+    <pubdate>2004</pubdate>
+    <publisher><publishername>C. Wang, S.-P, Xie, J, A. Carton, Editors</publishername></publisher>
+    <volumenum>147</volumenum>
+    <pagenums>414 pages</pagenums>
+    <bibliomisc>hardbound</bibliomisc>
+  </biblioset>
+</biblioentry>
+</bibliography>
+
Index: trunk/makefile
===================================================================
--- trunk/makefile	(revision 64)
+++ trunk/makefile	(revision 65)
@@ -96,5 +96,6 @@
 test_raw \
 test_raw_demo1 \
-test_raw_nemo \
+test_raw_nemo1 \
+test_raw_nemoall \
 dbkcheck \
 all \
@@ -126,4 +127,7 @@
 	@echo "\$$ ln -sf $(DIRSRC)/data/biball.xml $(DIRTMP)/biblio.xml"
 	@echo ""
+	@echo "for example for short NEMO Survey :"
+	@echo "\$$ ln -sf $(DIRSRC)/data/bibnemo1.xml $(DIRTMP)/biblio.xml"
+	@echo ""
 	@echo "check for duplicate DOI; for example :"
 	@echo "\$$ ./twindoi.sh -i $(DIRTMP)/biblio.xml -t xml"
@@ -135,5 +139,5 @@
 	@echo "\$$ ln -sf $(DIRSRC)/data/usernemo.dtd $(DIRTMP)/user.dtd"
 	@echo ""
-	@echo "for example for NEMO Survey :"
+	@echo "for example for NEMO Survey (short and long):"
 	@echo "\$$ ln -sf $(DIRSRC)/data/usernemo.xml $(DIRTMP)/user.xml"
 	@echo "\$$ ln -sf $(DIRSRC)/data/usernemo.dtd $(DIRTMP)/user.dtd"
@@ -175,6 +179,8 @@
 	-@rm -f $(DIRTMP)/bibdemo1_dbk5.txt
 	-@rm -f $(DIRTMP)/bibdemo1_dbk5.xml
-	-@rm -f $(DIRTMP)/bibnemo.xml
-	-@rm -f $(DIRTMP)/bibnemo.txt
+	-@rm -f $(DIRTMP)/bibnemo1.xml
+	-@rm -f $(DIRTMP)/bibnemo1.txt
+	-@rm -f $(DIRTMP)/bibnemoall.xml
+	-@rm -f $(DIRTMP)/bibnemoall.txt
 	-@rm -f $(DIRTMP)/select_id.xml
 	-@rm -f $(DIRTMP)/main_full.xml
@@ -543,5 +549,6 @@
 test_raw : \
 test_raw_demo1 \
-test_raw_nemo
+test_raw_nemo1 \
+test_raw_nemoall
 
 test_raw_demo1 : \
@@ -549,5 +556,5 @@
 $(DIRTMP)/bibdemo1_dbk5.xml \
 $(DIRTMP)/bibdemo1_dbk5.txt
-	diff $(DIRTMP)/bibdemo1_dbk5.xml $(DIRSRC)/data/bibdemo1_dbk5.xml | more
+	diff -b $(DIRTMP)/bibdemo1_dbk5.xml $(DIRSRC)/data/bibdemo1_dbk5.xml | more
 	rm -i $(DIRTMP)/bibdemo1_dbk5.xml $(DIRTMP)/bibdemo1_dbk5.txt
 
@@ -555,5 +562,5 @@
 $(DIRSRC)/data/bibdemo1_dbk5.xml \
 $(DIRSRC)/superbib01_txt.xsl
-	@xsltproc --param makedate "'$(MAKEDATE)'" \
+	xsltproc --param makedate "'$(MAKEDATE)'" \
  	--output $@ \
   	$(DIRSRC)/superbib01_txt.xsl \
@@ -563,23 +570,43 @@
 $(DIRTMP)/bibdemo1_dbk5.txt \
 $(DIRSRC)/bibopa.sh
-	@$(DIRSRC)/bibopa.sh -p demo1 -i $(DIRTMP)/bibdemo1_dbk5.txt -t raw -l fr
-
-test_raw_nemo : \
+	$(DIRSRC)/bibopa.sh -p demo1 -i $(DIRTMP)/bibdemo1_dbk5.txt -t raw -l fr
+
+test_raw_nemo1 : \
+$(DIRSRC)/data/bibnemo1.xml \
+$(DIRTMP)/bibnemo1.xml \
+$(DIRTMP)/bibnemo1.txt
+	diff -b $(DIRTMP)/bibnemo1.xml $(DIRSRC)/data/bibnemo1.xml | more
+	rm -i $(DIRTMP)/bibnemo1.xml $(DIRTMP)/bibnemo1.txt
+
+$(DIRTMP)/bibnemo1.txt : \
+$(DIRSRC)/data/bibnemo1.xml \
+$(DIRSRC)/superbib01_txt.xsl
+	xsltproc --param makedate "'$(MAKEDATE)'" \
+ 	--output $@ \
+  	$(DIRSRC)/superbib01_txt.xsl \
+	$(DIRSRC)/data/bibnemo1.xml
+
+$(DIRTMP)/bibnemo1.xml : \
+$(DIRTMP)/bibnemo1.txt \
+$(DIRSRC)/bibopa.sh
+	$(DIRSRC)/bibopa.sh -p nemo -i $(DIRTMP)/bibnemo1.txt -t raw -l en
+
+test_raw_nemoall : \
 $(DIRSRC)/data/biball.xml \
-$(DIRTMP)/bibnemo.xml \
-$(DIRTMP)/bibnemo.txt
-	diff $(DIRTMP)/bibnemo.xml $(DIRSRC)/data/biball.xml | more
-	rm -i $(DIRTMP)/bibnemo.xml $(DIRTMP)/bibnemo.txt
-
-$(DIRTMP)/bibnemo.txt : \
+$(DIRTMP)/bibnemoall.xml \
+$(DIRTMP)/bibnemoall.txt
+	diff -b $(DIRTMP)/bibnemoall.xml $(DIRSRC)/data/biball.xml | more
+	rm -i $(DIRTMP)/bibnemoall.xml $(DIRTMP)/bibnemoall.txt
+
+$(DIRTMP)/bibnemoall.txt : \
 $(DIRSRC)/data/biball.xml \
 $(DIRSRC)/superbib01_txt.xsl
-	@xsltproc --param makedate "'$(MAKEDATE)'" \
+	xsltproc --param makedate "'$(MAKEDATE)'" \
  	--output $@ \
   	$(DIRSRC)/superbib01_txt.xsl \
 	$(DIRSRC)/data/biball.xml
 
-$(DIRTMP)/bibnemo.xml : \
-$(DIRTMP)/bibnemo.txt \
+$(DIRTMP)/bibnemoall.xml : \
+$(DIRTMP)/bibnemoall.txt \
 $(DIRSRC)/bibopa.sh
-	@$(DIRSRC)/bibopa.sh -p nemo -i $(DIRTMP)/bibnemo.txt -t raw -l en
+	$(DIRSRC)/bibopa.sh -p nemo -i $(DIRTMP)/bibnemoall.txt -t raw -l en