Index: /trunk/adm/makefile
===================================================================
--- /trunk/adm/makefile	(revision 75)
+++ /trunk/adm/makefile	(revision 75)
@@ -0,0 +1,265 @@
+#+
+# module
+# ======
+#
+# generation of documentation of superbib
+#
+# FILES
+# =====
+#
+# /usr/home/fplod/src/superbib_ws/adm/makefile sur aedon.locean-ipsl.upmc.fr
+#
+# TODO
+# ====
+#
+# ++ menage des fichiers intermediares latex dans DIRWWW
+# 
+# ++ amélioration de la page index
+#
+# ++ faire un livre avec tout
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id$
+#
+# - fplod 2008-09-16T14:59:02Z aedon.locean-ipsl.upmc.fr (Darwin)
+#  * creation
+#
+# SEE ALSO
+# ========
+#
+# extract_rst.sh_
+#
+# .. _extract_rst.sh: ../extract_rst.sh.html
+#
+# docutils ++ lien
+#
+#+
+#
+PRODUCT = \
+superbib
+
+DIRBASE = \
+/usr/home/fplod/src/$(PRODUCT)_ws/
+
+DIRSRC = \
+$(DIRBASE)
+
+DIRTMP = \
+./
+
+DIRWWW = \
+/usr/temp/$(LOGNAME)/public_html/$(PRODUCT)/$(PRODUCT)_ws/
+
+URLPUBLISH = \
+http://www.locean-ipsl.upmc.fr/~fplod/$(PRODUCT)/$(PRODUCT)_ws/
+
+LIST_SRCSH = \
+$(DIRSRC)/before.sh \
+$(DIRSRC)/bibopa.sh \
+$(DIRSRC)/install.sh \
+$(DIRSRC)/linkchecker.sh \
+$(DIRSRC)/mailtouser.sh \
+$(DIRSRC)/twindoi.sh 
+
+.PHONY : \
+help \
+before \
+clean \
+htmllinkcheckb \
+htmllinkchecka \
+spellcheck \
+all \
+html \
+pdf
+
+help :
+	@echo "Prepare output directories :"
+	@echo "\$$ make before"
+	@echo ""
+	@echo "Following commands are available to build outputs :"
+	@echo "\$$ make all"
+	@echo " "
+	@echo "Check links before installation : "
+	@echo "\$$ make htmllinkcheckb"
+	@echo " "
+	@echo "Last step = installation"
+	@echo "\$$ make install"
+	@echo " "
+	@echo "Check links after installation : "
+	@echo "\$$ make htmllinkchecka"
+	@echo " "
+
+before :
+	@before.sh -p $(PRODUCT) -s $(DIRSRC) -w $(DIRWWW) -mono -l en
+
+install :
+	@install.sh -w $(DIRWWW) -u $(URLPUBLISH)
+
+clean :
+	-@rm -fr $(DIRWWW)/
+	-@rm -f $(DIRTMP)/all.xml
+	-@rm -f $(DIRTMP)/*.rst
+	-@rm -f $(DIRTMP)/*.tex
+	-@rm -f $(DIRTMP)/*.aux
+	-@rm -f $(DIRTMP)/*.log
+	-@rm -f $(DIRTMP)/*.out
+
+htmllinkcheckb :
+	@linkchecker.sh -d $(DIRWWW)
+
+htmllinkchecka :
+	@linkchecker.sh -u $(URLPUBLISH)
+
+spellcheck :
+	@++aspell --mode=sgml --master=francais -c \
+	$(DIRSRC)/$(PRODUCT).xml
+
+all : \
+man_html \
+man_pdf
+
+man_html : \
+$(DIRWWW)/index.html \
+$(DIRWWW)/before.sh.html \
+$(DIRWWW)/linkchecker.sh.html \
+$(DIRWWW)/mailtouser.sh.html \
+$(DIRWWW)/twindoi.sh.html \
+$(DIRWWW)/install.sh.html \
+$(DIRWWW)/bibopa.sh.html
+
+man_pdf : \
+$(DIRWWW)/before.sh.pdf \
+$(DIRWWW)/linkchecker.sh.pdf \
+$(DIRWWW)/mailtouser.sh.pdf \
+$(DIRWWW)/twindoi.sh.pdf \
+$(DIRWWW)/install.sh.pdf \
+$(DIRWWW)/bibopa.sh.pdf
+
+$(DIRWWW)/index.html : \
+$(DIRTMP)/index.rst
+	rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRTMP)/index.rst :
+	echo "===================" >> $@ 
+	echo "$(PRODUCT) tools" >> $@ 
+	echo "===================" >> $@ 
+	echo " "           >> $@
+	echo "Shell scripts">> $@ 
+	echo "=============" >> $@ 
+	for file in $(LIST_SRCSH); do echo " ";echo "$$(basename $${file})_"; echo " "; echo ".. _$$(basename $${file}): $$(basename $${file}).html"; done >> $@
+
+$(DIRWWW)/before.sh.html : \
+$(DIRTMP)/before.sh.rst
+	rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/before.sh.pdf : \
+$(DIRTMP)/before.sh.tex
+	pdflatex -output-directory $(DIRWWW)/ $<
+
+$(DIRTMP)/before.sh.tex : \
+$(DIRTMP)/before.sh.rst
+	rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRTMP)/before.sh.rst : \
+$(DIRSRC)/before.sh
+	@extract_rst.sh -i $< -l sh -o $@ 
+
+$(DIRWWW)/linkchecker.sh.html : \
+$(DIRTMP)/linkchecker.sh.rst
+	rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/linkchecker.sh.pdf : \
+$(DIRTMP)/linkchecker.sh.tex
+	pdflatex -output-directory $(DIRWWW)/ $<
+	pdflatex -output-directory $(DIRWWW)/ $<
+
+$(DIRTMP)/linkchecker.sh.tex : \
+$(DIRTMP)/linkchecker.sh.rst
+	rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRTMP)/linkchecker.sh.rst : \
+$(DIRSRC)/linkchecker.sh
+	@extract_rst.sh -i $< -l sh -o $@ 
+
+$(DIRWWW)/mailtouser.sh.html : \
+$(DIRTMP)/mailtouser.sh.rst
+	rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/mailtouser.sh.pdf : \
+$(DIRTMP)/mailtouser.sh.tex
+	pdflatex -output-directory $(DIRWWW)/ $<
+	pdflatex -output-directory $(DIRWWW)/ $<
+
+$(DIRTMP)/mailtouser.sh.tex : \
+$(DIRTMP)/mailtouser.sh.rst
+	rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRTMP)/mailtouser.sh.rst : \
+$(DIRSRC)/mailtouser.sh
+	@extract_rst.sh -i $< -l sh -o $@ 
+
+$(DIRWWW)/twindoi.sh.html : \
+$(DIRTMP)/twindoi.sh.rst
+	rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/twindoi.sh.pdf : \
+$(DIRTMP)/twindoi.sh.tex
+	pdflatex -output-directory $(DIRWWW)/ $<
+	pdflatex -output-directory $(DIRWWW)/ $<
+
+$(DIRTMP)/twindoi.sh.tex : \
+$(DIRTMP)/twindoi.sh.rst
+	rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRTMP)/twindoi.sh.rst : \
+$(DIRSRC)/twindoi.sh
+	@extract_rst.sh -i $< -l sh -o $@ 
+$(DIRWWW)/install.sh.html : \
+$(DIRTMP)/install.sh.rst
+	rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/install.sh.pdf : \
+$(DIRTMP)/install.sh.tex
+	pdflatex -output-directory $(DIRWWW)/ $<
+	pdflatex -output-directory $(DIRWWW)/ $<
+
+$(DIRTMP)/install.sh.tex : \
+$(DIRTMP)/install.sh.rst
+	rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRTMP)/install.sh.rst : \
+$(DIRSRC)/install.sh
+	@extract_rst.sh -i $< -l sh -o $@ 
+
+$(DIRWWW)/bibopa.sh.html : \
+$(DIRTMP)/bibopa.sh.rst
+	rst2html.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRWWW)/bibopa.sh.pdf : \
+$(DIRTMP)/bibopa.sh.tex
+	pdflatex -output-directory $(DIRWWW)/ $<
+	pdflatex -output-directory $(DIRWWW)/ $<
+
+$(DIRTMP)/bibopa.sh.tex : \
+$(DIRTMP)/bibopa.sh.rst
+	rst2newlatex.py --input-encoding=ISO-8859-15 --strict \
+	$< $@
+
+$(DIRTMP)/bibopa.sh.rst : \
+$(DIRSRC)/bibopa.sh
+	@extract_rst.sh -i $< -l sh -o $@ 
+
Index: /trunk/before.sh
===================================================================
--- /trunk/before.sh	(revision 74)
+++ /trunk/before.sh	(revision 75)
@@ -1,24 +1,76 @@
 #! /bin/sh
 #
-# module :
+#+
+# NAME
+# ====
+#
+# before.sh - preparation of results directory
+#
+#
+# SYNOPSYS
+# ========
+#
+# ::
+#
+#  $ before.sh -p product -s dirsrc -w dirwww -l lang -mono|-multi -m nmany
+#
+# DESCRIPTION
+# ===========
+#
 # preparation of temporary (before deployement) of superbib results directory
-# - tree;
-# - copy of constant images copie des images;
-# - copy of CSS style sheet;
-# - etc.
-#
-# update :
+#  - tree;
+#  - copy of constant images copie des images;
+#  - copy of CSS style sheet;
+#  - etc.
+#
+# EXAMPLES
+# ========
+#
+#
+# FILES
+# =====
+#
+# original location
+# ~~~~~~~~~~~~~~~~~
+#
+# /usr/home/fplod/src/superbib_ws/before.sh sur aedon.locean-ipsl.upmc.fr
+#
+# EVOLUTIONS
+# ==========
+#
 # $Id$
-# fplod 2008-06-16T09:48:22Z aedon.locean-ipsl.upmc.fr (Darwin)
-# add copy of documents
-# fplod 2007-10-17T12:22:57Z aedon.locean-ipsl.upmc.fr (Darwin)
-# parametrisation of number of "many" presentation
-# fplod 2007-09-28T08:43:10Z aedon.locean-ipsl.upmc.fr (Darwin)
-# parametrisation and translation
-# fplod 2007-03-30T09:55:49Z aedon.locean-ipsl.upmc.fr (Darwin)
-# création
-#
-#
-set -o posix
+#
+# - fplod 2008-09-16T15:19:59Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * comments in ReStructured Text
+#
+# - fplod 2008-06-16T09:48:22Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#   * add copy of documents
+#
+# - fplod 2007-10-17T12:22:57Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#   * parametrisation of number of "many" presentation
+#
+# - fplod 2007-09-28T08:43:10Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#   * parametrisation and translation
+#
+# - fplod 2007-03-30T09:55:49Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#   * création
+#
+#-
+#
+system=$(uname)
+case "${system}" in
+ AIX|IRIX64)
+  echo " www : no specific posix checking"
+ ;;
+ *)
+  set -o posix
+ ;;
+esac
+#
 command=$(basename ${0} .sh)
 log_date=$(date -u +"%Y-%m-%dT%H:%M:%SZ")
@@ -144,5 +196,5 @@
 #
 # copy of documents
-if [ -d ${dirsrc}/documents/ ] 
+if [ -d ${dirsrc}/documents/ ]
 then
  cp ${dirsrc}/documents/* ${dirwww}/documents/
Index: /trunk/bibopa.sh
===================================================================
--- /trunk/bibopa.sh	(revision 74)
+++ /trunk/bibopa.sh	(revision 75)
@@ -1,3 +1,21 @@
 #!/bin/bash
+#+
+# NAME
+# ====
+#
+# bibopa.sh - transform a bibliography file in DocBook 5 format
+#
+# SYNOPSYS
+# ========
+#
+# ::
+#
+#  $ bibopa.sh -i filein -t type -o order -p project -l lang
+#
+#
+# DESCRIPTION
+# ===========
+#
+# ::
 #
 #    Behera, S. K., J. Luo, S. Masson, S. Rao, S. Gualdi, P. Delecluse, A.
@@ -6,5 +24,8 @@
 #    press.
 #
-#    donnerait
+#
+# donnerait
+#
+# ::
 #
 #    <biblioentry xml:id="behara2004">
@@ -30,4 +51,7 @@
 #    </biblioentry>
 #
+#
+# ::
+#
 #   @book{MetReiCoh2004 ,
 #      author    = {Michael Metcalf and
@@ -40,5 +64,10 @@
 #      pages = {434}
 #   }
+#
+#
 # donnerait
+#
+# ::
+#
 #    <biblioentry xml:id="MetReiCoh2004">
 #    <authorgroup>
@@ -54,46 +83,107 @@
 #    <edition>Third</edition>
 #
-# example :
-# $ ./bibopa.sh -p birefnemo -i data/biball.txt -t raw
-# $ ./bibopa.sh -p bibrefnemo -i data/mail2007-05-10T09:01:56Z -t mailbody
-# $ ./bibopa.sh -p polyfortran -i data/petitpolyfp.bib -t bibtex -l fr
-# $ ./bibopa.sh -p demo1 -i data/bibdemo1.txt -t raw -l fr
+#
+# EXAMPLES
+# ========
+#
+# To transform the NEMO bibilography file in raw format:
+#
+# ::
+#
+#  $ ./bibopa.sh -p birefnemo -i data/biball.txt -t raw
+#
+#
+# To transform a bibilography file in mailbody format:
+#
+# ::
+#
+#  $ ./bibopa.sh -p bibrefnemo -i data/mail2007-05-10T09:01:56Z -t mailbody
+#
+#
+# To transform a bibilography file in bibtex format in french:
+#
+# ::
+#
+#  $ ./bibopa.sh -p polyfortran -i data/petitpolyfp.bib -t bibtex -l fr
+#
+#
+# To transform the SUPERBIB demo bibilography file in raw format:
+#
+# ::
+#
+#  $ ./bibopa.sh -p demo1 -i data/bibdemo1.txt -t raw -l fr
+#
 #
 # see also mailtouser.sh
 #
-# original location :
+# FILES
+# =====
+#
+# original location
+# ~~~~~~~~~~~~~~~~~
+#
 # /usr/home/fplod/incas/bibnemo/src/bibnemomaf/bibopa.sh sur cerbere.locean-ipsl.upmc.fr
 #
-# update
+# EVOLUTIONS
+# ==========
+#
 # ++ gestion des comments
+#
 # ++ gestion des id existants (cf à la fin)
+#
 # ++ option debug
+#
+#
 # $Id$
-# fplod 2008-05-16T10:33:16Z aedon.locean-ipsl.upmc.fr (Darwin)
-# add parameter -o for firstname/surname order in bibtex file
-# fplod 2008-05-15T15:15:04Z aedon.locean-ipsl.upmc.fr (Darwin)
-# new way of processing bibtex file : external/bibtex2xml.py
-# fplod 2008-04-30T07:11:58Z aedon.locean-ipsl.upmc.fr (Darwin)
-# chgt for dbk5 out
-# xmlto 0.0.18 does'nt like this docbook release. remove
-# usage of xml (xmlstarlet) for validation
-# bug fix
-# add journal names from demo1
-# fplod 2008-03-12T16:11:07Z aedon.locean-ipsl.upmc.fr (Darwin)
-# add -p option (to overide bibrefnemo in file name and id)
-# add -l option by default en
-# fplod 2008-03-11T11:25:27Z aedon.locean-ipsl.upmc.fr (Darwin)
-# add bibtex entry (not finished)++
-# fplod 2007-06-20T17:18:02Z aedon.locean-ipsl.upmc.fr (Darwin)
-# <bibliomisc role="id"> replace by <biblioid class="doi">
-# smasson 2007-06-07T16:43:42Z arete.locean-ipsl.upmc.fr (Darwin)
-# Add journals
-# fplod 2007-05-10T09:17:09Z aedon.locean-ipsl.upmc.fr (Darwin)
-# dernières touches
-# fplod 2007-04-25T10:59:49Z cerbere.locean-ipsl.upmc.fr (Linux)
-# add a filein parameter and an option for mailbody
-# comments  (line begininig with #) are now possible
-# Sebastien Masson avril 2007 creation
-#
+#
+# - fplod 2008-09-16T15:19:59Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * comments in ReStructured Text
+#
+# - fplod 2008-05-16T10:33:16Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * add parameter -o for firstname/surname order in bibtex file
+#
+# - fplod 2008-05-15T15:15:04Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * new way of processing bibtex file : external/bibtex2xml.py
+#
+# - fplod 2008-04-30T07:11:58Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * chgt for dbk5 out
+#  * xmlto 0.0.18 does'nt like this docbook release. remove
+#  * usage of xml (xmlstarlet) for validation
+#  * bug fix
+#  * add journal names from demo1
+#  * fplod 2008-03-12T16:11:07Z aedon.locean-ipsl.upmc.fr (Darwin)
+#  * add -p option (to overide bibrefnemo in file name and id)
+#  * add -l option by default en
+#
+# - fplod 2008-03-11T11:25:27Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * add bibtex entry (not finished)++
+#
+# - fplod 2007-06-20T17:18:02Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * <bibliomisc role="id"> replace by <biblioid class="doi">
+#
+# - smasson 2007-06-07T16:43:42Z arete.locean-ipsl.upmc.fr (Darwin)
+#
+#  * Add journals
+#
+# - fplod 2007-05-10T09:17:09Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * dernières touches
+#
+# - fplod 2007-04-25T10:59:49Z cerbere.locean-ipsl.upmc.fr (Linux)
+#
+#  * add a filein parameter and an option for mailbody
+#  * comments  (line begininig with #) are now possible
+#
+# - Sebastien Masson avril 2007
+#
+#  * creation
+#
+#-
 
 rmbl () {
@@ -111,5 +201,13 @@
 }
 #
-set -o posix
+system=$(uname)
+case "${system}" in
+ AIX|IRIX64)
+  echo " www : no specific posix checking"
+ ;;
+ *)
+  set -o posix
+ ;;
+esac
 command=$(basename ${0})
 log_date=$(date -u +"%Y-%m-%dT%H:%M:%SZ")
@@ -433,5 +531,5 @@
 mv ${fileraw_strict}2 ${fileraw_strict}
 case ${type} in
-bibtex) 
+bibtex)
  fileou_bibtexml=/tmp/$(basename ${fileraw})_bibtexml
  python ./external/bibtex2xml.py ${fileraw_strict} > ${fileou_bibtexml}
@@ -444,5 +542,5 @@
  --param order "'${order}'" \
  bibtexml2dbk.xsl ${fileou_bibtexml}
- rm ${fileou_bibtexml} 
+ rm ${fileou_bibtexml}
 ;;
 *)
Index: /trunk/install.sh
===================================================================
--- /trunk/install.sh	(revision 74)
+++ /trunk/install.sh	(revision 75)
@@ -1,5 +1,22 @@
 #!/bin/sh
 #
-# module :
+#+
+# NAME
+# ====
+#
+# install.sh - publication of HTML files and associated files
+#
+#
+# SYNOPSYS
+# ========
+#
+# ::
+#
+#  $ install.sh -w dirwww -p dirpublish -u urlpublish -l login
+#
+# DESCRIPTION
+# ===========
+#
+#
 # publication (rsync) of dirwww content on dirpublish given in argument
 #
@@ -7,21 +24,56 @@
 # is launched.
 #
-# update :
+# EXAMPLES
+# ========
+#
+# FILES
+# =====
+#
+# original location
+# ~~~~~~~~~~~~~~~~~
+#
+# /usr/home/fplod/src/superbib_ws/install.sh sur aedon.locean-ipsl.upmc.fr
+#
+# EVOLUTIONS
+# ==========
+#
 # $Id$
-# fplod 2008-06-17T09:10:19Z aedon.locean-ipsl.upmc.fr (Darwin)
-# add -l parameter only used in specific case at LOCEAN when user parameter of
-# persoweb must be different tthan login (ex: acmo vs fplod)
-# replace http://www.lodyc.jussieu.fr/info_reseau/persoweb/?fastupdate=1&user=${user}"
-# by
-# http://intranet.locean-ipsl.upmc.fr/persoweb/?fastupdate=1&user=${user}
-# fplod 2008-03-28T10:26:58Z aedon.locean-ipsl.upmc.fr (Darwin)
-# new personnal webpages policy at LOCEAN so new command and new parameter (-u)
-# fplod 2007-09-28T09:30:43Z aedon.locean-ipsl.upmc.fr (Darwin)
-# parametrisation and translation
-# smasson 2007-06-07T16:43:42Z arete.locean-ipsl.upmc.fr (Darwin)
-# can give the answer with input parameters
-# fplod 2007-04-26T11:51:42Z aedon.locean-ipsl.upmc.fr (Darwin)
 #
-set -o posix
+# - fplod 2008-09-16T15:24:26Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * comments in ReStructured Text
+#
+# - fplod 2008-06-17T09:10:19Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * add -l parameter only used in specific case at LOCEAN when user
+#    parameter of persoweb must be different tthan login (ex: acmo vs fplod)
+#  * replace http://www.lodyc.jussieu.fr/info_reseau/persoweb/?fastupdate=1&user=${user}" by
+#    http://intranet.locean-ipsl.upmc.fr/persoweb/?fastupdate=1&user=${user}
+#
+# - fplod 2008-03-28T10:26:58Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#   * new personnal webpages policy at LOCEAN so new command and new parameter (-u)
+#
+# - fplod 2007-09-28T09:30:43Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * parametrisation and translation
+#
+# - smasson 2007-06-07T16:43:42Z arete.locean-ipsl.upmc.fr (Darwin)
+#
+#  * can give the answer with input parameters
+#
+# - fplod 2007-04-26T11:51:42Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#-
+system=$(uname)
+case "${system}" in
+ AIX|IRIX64)
+  echo " www : no specific posix checking"
+ ;;
+ *)
+  set -o posix
+ ;;
+esac
+#
 command=$(basename ${0} .sh)
 log_date=$(date -u +"%Y-%m-%dT%H:%M:%SZ")
Index: /trunk/linkchecker.sh
===================================================================
--- /trunk/linkchecker.sh	(revision 74)
+++ /trunk/linkchecker.sh	(revision 75)
@@ -1,38 +1,91 @@
 #! /bin/sh
+#+
+# NAME
+# ====
 #
-# module :
+# linkchecker.sh -  check links of a given directory or url
+#
+# SYNOPSYS
+# ========
+#
+# ::
+#
+#  $ linkchecker.sh -d dircheck -u url
+#
+#
+# DESCRIPTION
+# ===========
+#
 # check links of a given directory or url
 # cf. install.sh
 #
-# original location :
+#
+# EXAMPLES
+# ========
+#
+#
+# FILES
+# =====
+#
+# original location
+# ~~~~~~~~~~~~~~~~~
+#
 # /usr/home/fplod/src/superbib_ws/linkchecker.sh sur aedon.locean-ipsl.upmc.fr
 #
-# update :
+# EVOLUTIONS
+# ==========
+#
 # ++ linkchecker ne voit pas les erreurs !!
+#
 # ++ dirpublish forme fplod@cerbere.locean-ipsl.upmc.fr:./WWW/ par example
 # donc pas http
-# + ajouter la possibilite de faire une carte du site avec
-# graphiz
-# exemple syntaxe =
-# $ linkchecker -odot -v http://www.lodyc.jussieu.fr/NEMO/general/biblio_new/   | dot -Tps > sitemap.ps
+#
+# + ajouter la possibilite de faire une carte du site avec raphiz
+#
+# exemple syntaxe
+#
+# ::
+#
+#  $ linkchecker -odot -v http://www.lodyc.jussieu.fr/NEMO/general/biblio_new/   | dot -Tps > sitemap.ps
+#
 #
 # remove "set -u" because I don't know how to test if there is at least
 # one directory AND one url to be checked without this option
+#
 # !! ++ must be restore ASAP
+#
 # $Id$
-# fplod 2007-10-12T07:32:08Z aedon.locean-ipsl.upmc.fr (Darwin)
-# add -u pour url
-# add multiple -d and suppression of interactivity
-# replace -w by -d (more generic)
-# use rather checklink than linkchecker because the first one exist either
-# on Mac and Unix, and because the second one exists only on Mac and
-# does'nt seem to detect every problem
-# fplod 2007-10-11T15:31:25Z aedon.locean-ipsl.upmc.fr (Darwin)
-# parametrization
-# merge with checklink.sh ++ choisir entre les deux
-# fplod 2007-06-19T09:26:04Z aedon.locean-ipsl.upmc.fr (Darwin)
-# création
 #
-set -o posix
+# - fplod 2008-09-16T15:28:34Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#   * comment in ReStructured Text
+#
+# - fplod 2007-10-12T07:32:08Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#   * add -u pour url
+#   * add multiple -d and suppression of interactivity
+#   * replace -w by -d (more generic)
+#   * use rather checklink than linkchecker because the first one exist either
+#     on Mac and Unix, and because the second one exists only on Mac and
+#     does'nt seem to detect every problem
+#
+# - fplod 2007-10-11T15:31:25Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#   * parametrization
+#   * merge with checklink.sh ++ choisir entre les deux
+#
+# - fplod 2007-06-19T09:26:04Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#   * création
+#-
+system=$(uname)
+case "${system}" in
+ AIX|IRIX64)
+  echo " www : no specific posix checking"
+ ;;
+ *)
+  set -o posix
+ ;;
+esac
 command=$(basename ${0} .sh)
 log_date=$(date -u +"%Y-%m-%dT%H:%M:%SZ")
Index: /trunk/mailtouser.sh
===================================================================
--- /trunk/mailtouser.sh	(revision 74)
+++ /trunk/mailtouser.sh	(revision 75)
@@ -1,28 +1,81 @@
 #! /bin/sh
-#
-# module :
-# convert email text in xml form folloowing user.dtd
+#+
+# NAME
+# ====
+#
+# mailtouser.sh - convert email text in xml form folloowing user.dtd
+#
+#
+# SYNOPSYS
+# ========
+#
+# ::
+#
+#  $ mailtouser.sh -m mailbodyfile -x xmloutput
+#
+#
+#
+# DESCRIPTION
+# ===========
+#
+# convert email text in xml form following user.dtd
 #
 # see also bibopa.sh
 #
-# example :
-# $ ./mailtouser.sh -m data/mail2007-05-10T09:01:56Z -x ginette.xml
-#
-# see also bibopa.sh
-#
-# update :
+# EXAMPLES
+# ========
+#
+# ::
+#
+#  $ ./mailtouser.sh -m data/mail2007-05-10T09:01:56Z -x ginette.xml
+#
+#
+# FILES
+# =====
+#
+# original location
+# ~~~~~~~~~~~~~~~~~
+#
+# /usr/home/fplod/src/superbib_ws/mailtouser.sh sur aedon.locean-ipsl.upmc.fr
+#
+# EVOLUTIONS
+# ==========
+#
 # ++ gestion des comments
+#
 # ++ gestion de la signature
+#
 # $Id$
-# fplod 2007-06-06T09:27:55Z aedon.locean-ipsl.upmc.fr (Darwin)
-# correction for Off-Line and PC Cluster
-# fplod 2007-05-18T08:31:48Z aedon.locean-ipsl.upmc.fr (Darwin)
-# add off-line and agrif components
-# fplod 2007-05-09T15:03:15Z aedon.locean-ipsl.upmc.fr (Darwin)
-# reprise + ajout middlename + ajout components_date
-# fplod 2007-04-25T09:15:38Z aedon.locean-ipsl.upmc.fr (Darwin)
-# creation
-#
-set -o posix
+#
+# - fplod 2008-09-16T15:42:41Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * comments in ReStructured Text
+#
+# - fplod 2007-06-06T09:27:55Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * correction for Off-Line and PC Cluster
+#
+# - fplod 2007-05-18T08:31:48Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * add off-line and agrif components
+#
+# - fplod 2007-05-09T15:03:15Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * reprise + ajout middlename + ajout components_date
+#
+# - fplod 2007-04-25T09:15:38Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * creation
+#
+#-
+system=$(uname)
+case "${system}" in
+ AIX|IRIX64)
+  echo " www : no specific posix checking"
+ ;;
+ *)
+  set -o posix
+ ;;
+esac
 command=$(basename ${0} .sh)
 log_date=$(date -u +"%Y-%m-%dT%H:%M:%SZ")
Index: /trunk/twindoi.sh
===================================================================
--- /trunk/twindoi.sh	(revision 74)
+++ /trunk/twindoi.sh	(revision 75)
@@ -1,29 +1,80 @@
 #! /bin/sh
-# module :
+#+
+# NAME
+# ====
+#
+# twindoi.sh - detection of duplicate DOI
+#
+# SYNOPSYS
+# ========
+#
+# ::
+#
+#  $ twindoi.sh -i filein -t type
+#
+#
+# DESCRIPTION
+# ===========
+#
+#
 # detection of duplicate DOI
 #
-# original location :
+# EXAMPLES
+# ========
+#
+# ::
+#
+#  $ ./twindoi.sh -i data/biball.txt -t raw
+#
+#
+# ::
+#
+#  $ ./twindoi.sh -i data/biball.xml -t xml
+#
+# FILES
+# =====
+#
+# original location
+# ~~~~~~~~~~~~~~~~~
+#
 # /usr/home/fplod/src/superbib_ws/twindoi.sh sur aedon.locean-ipsl.upmc.fr
 #
-# example :
-# $ ./twindoi.sh -i data/biball.txt -t raw
-# $ ./twindoi.sh -i data/biball.xml -t xml
 #
-# update :
+# EVOLUTIONS
+# ==========
+#
 # ++ option debug
+#
 # ++ the following command wich is not convinient
-# (xml vs txt) did not give any alert and check inside
-# xml comments
-# $ ./twindoi.sh -i data/biball.xml -t raw
-# $Id$
-# fplod 2008-05-05T14:26:31Z aedon.locean-ipsl.upmc.fr (Darwin)
-# usage of xml(starlet) for doi extraction in xml file
-# fplod 2007-06-20T16:12:22Z aedon.locean-ipsl.upmc.fr (Darwin)
-# consolidation and homogeneisation
-# smasson 2007-06-20T16:11:47Z
-# creation
+# (xml vs txt) did not give any alert and check inside xml comments
+# ::
+#
+#  $ ./twindoi.sh -i data/biball.xml -t raw
 #
 #
-set -o posix
+# $Id$
+#
+# - fplod 2008-05-05T14:26:31Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * usage of xml(starlet) for doi extraction in xml file
+#
+# - fplod 2007-06-20T16:12:22Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#  * consolidation and homogeneisation
+#
+# - smasson 2007-06-20T16:11:47Z
+#
+#  * creation
+#-
+#
+system=$(uname)
+case "${system}" in
+ AIX|IRIX64)
+  echo " www : no specific posix checking"
+ ;;
+ *)
+  set -o posix
+ ;;
+esac
 command=$(basename ${0})
 log_date=$(date -u +"%Y-%m-%dT%H:%M:%SZ")